VERSION 6
BEGIN SCHEMATIC
    BEGIN ATTR DeviceFamilyName "spartan2e"
        DELETE all:0
        EDITNAME all:0
        EDITTRAIT all:0
    END ATTR
    BEGIN NETLIST
        SIGNAL MemoryReadAddressSelect(1:0)
        SIGNAL AWen
        SIGNAL BWen
        SIGNAL CWen
        SIGNAL EPCWen
        SIGNAL IFWEn
        SIGNAL IRWen
        SIGNAL PCWen
        SIGNAL RegisterReadMode
        SIGNAL RegWen
        SIGNAL MemWen
        SIGNAL AdderMode
        SIGNAL SPRegWen
        SIGNAL AdderInputSelect(1:0)
        SIGNAL InterruptFlag(15:0)
        SIGNAL PCInputSelect(1:0)
        SIGNAL SPRegisterWriteSource(1:0)
        SIGNAL RegisterWriteDataSourceSelect(2:0)
        SIGNAL MemoryReadAddressSelect(0)
        SIGNAL MemoryReadAddressSelect(1)
        SIGNAL Clk
        SIGNAL ComparatorResult
        SIGNAL InstMod
        SIGNAL Instruction(3:0)
        SIGNAL ButtonIn(5:0)
        SIGNAL ButtonIn(5)
        SIGNAL ButtonIn(4)
        SIGNAL ButtonIn(3)
        SIGNAL Bin(3)
        SIGNAL Bin(3:0)
        SIGNAL ButtonIn(2)
        SIGNAL ButtonIn(1)
        SIGNAL Bin(2)
        SIGNAL Bin(1)
        SIGNAL ButtonIn(0)
        SIGNAL Bin(0)
        SIGNAL Reset
        SIGNAL XLXN_63
        SIGNAL InterruptEnabled
        SIGNAL InterruptWE
        SIGNAL InterruptEnabledIn
        PORT Output MemoryReadAddressSelect(1:0)
        PORT Output AWen
        PORT Output BWen
        PORT Output CWen
        PORT Output EPCWen
        PORT Output IFWEn
        PORT Output IRWen
        PORT Output PCWen
        PORT Output RegisterReadMode
        PORT Output RegWen
        PORT Output MemWen
        PORT Output AdderMode
        PORT Output SPRegWen
        PORT Output AdderInputSelect(1:0)
        PORT Output InterruptFlag(15:0)
        PORT Output PCInputSelect(1:0)
        PORT Output SPRegisterWriteSource(1:0)
        PORT Output RegisterWriteDataSourceSelect(2:0)
        PORT Input Clk
        PORT Input ComparatorResult
        PORT Input InstMod
        PORT Input Instruction(3:0)
        PORT Input ButtonIn(5:0)
        PORT Input Reset
        PORT Output InterruptEnabled
        BEGIN BLOCKDEF control
            TIMESTAMP 2005 11 13 2 19 56
            LINE N 368 32 432 32 
            LINE N 64 -1184 0 -1184 
            LINE N 64 -992 0 -992 
            LINE N 64 -800 0 -800 
            LINE N 64 -608 0 -608 
            LINE N 64 -416 0 -416 
            RECTANGLE N 0 -236 64 -212 
            LINE N 64 -224 0 -224 
            RECTANGLE N 0 -44 64 -20 
            LINE N 64 -32 0 -32 
            LINE N 368 -1184 432 -1184 
            LINE N 368 -1120 432 -1120 
            LINE N 368 -1056 432 -1056 
            LINE N 368 -992 432 -992 
            LINE N 368 -928 432 -928 
            LINE N 368 -864 432 -864 
            LINE N 368 -800 432 -800 
            LINE N 368 -736 432 -736 
            LINE N 368 -672 432 -672 
            LINE N 368 -608 432 -608 
            LINE N 368 -544 432 -544 
            LINE N 368 -480 432 -480 
            LINE N 368 -416 432 -416 
            LINE N 368 -352 432 -352 
            RECTANGLE N 368 -300 432 -276 
            LINE N 368 -288 432 -288 
            RECTANGLE N 368 -236 432 -212 
            LINE N 368 -224 432 -224 
            RECTANGLE N 368 -172 432 -148 
            LINE N 368 -160 432 -160 
            RECTANGLE N 368 -108 432 -84 
            LINE N 368 -96 432 -96 
            RECTANGLE N 368 -44 432 -20 
            LINE N 368 -32 432 -32 
            RECTANGLE N 64 -1216 368 64 
        END BLOCKDEF
        BEGIN BLOCKDEF gnd
            TIMESTAMP 2001 2 2 12 52 44
            LINE N 64 -64 64 -96 
            LINE N 76 -48 52 -48 
            LINE N 68 -32 60 -32 
            LINE N 88 -64 40 -64 
            LINE N 64 -64 64 -80 
            LINE N 64 -128 64 -96 
        END BLOCKDEF
        BEGIN BLOCKDEF or3
            TIMESTAMP 2001 2 2 12 53 52
            LINE N 0 -64 48 -64 
            LINE N 0 -128 72 -128 
            LINE N 0 -192 48 -192 
            LINE N 256 -128 192 -128 
            ARC N 28 -256 204 -80 112 -80 192 -128 
            ARC N -40 -184 72 -72 48 -80 48 -176 
            LINE N 48 -64 48 -80 
            LINE N 48 -192 48 -176 
            LINE N 112 -80 48 -80 
            ARC N 28 -176 204 0 192 -128 112 -176 
            LINE N 112 -176 48 -176 
        END BLOCKDEF
        BEGIN BLOCKDEF buf
            TIMESTAMP 2001 2 2 12 51 12
            LINE N 0 -32 64 -32 
            LINE N 224 -32 128 -32 
            LINE N 64 0 128 -32 
            LINE N 128 -32 64 -64 
            LINE N 64 -64 64 0 
        END BLOCKDEF
        BEGIN BLOCKDEF fdr
            TIMESTAMP 2001 2 2 12 52 25
            LINE N 0 -128 64 -128 
            LINE N 0 -256 64 -256 
            LINE N 384 -256 320 -256 
            LINE N 0 -32 64 -32 
            RECTANGLE N 64 -320 320 -64 
            LINE N 192 -64 192 -32 
            LINE N 192 -32 64 -32 
            LINE N 64 -112 80 -128 
            LINE N 80 -128 64 -144 
        END BLOCKDEF
        BEGIN BLOCKDEF m2_1
            TIMESTAMP 2001 2 2 12 54 40
            LINE N 96 -64 96 -192 
            LINE N 256 -96 96 -64 
            LINE N 256 -160 256 -96 
            LINE N 96 -192 256 -160 
            LINE N 176 -32 96 -32 
            LINE N 176 -80 176 -32 
            LINE N 0 -32 96 -32 
            LINE N 320 -128 256 -128 
            LINE N 0 -96 96 -96 
            LINE N 0 -160 96 -160 
        END BLOCKDEF
        BEGIN BLOCK XLXI_1 control
            PIN CLK Clk
            PIN ComparatorResult ComparatorResult
            PIN InstMod InstMod
            PIN InterruptEnableI InterruptEnabled
            PIN RESET Reset
            PIN ButtonIn(3:0) Bin(3:0)
            PIN Instruction(3:0) Instruction(3:0)
            PIN AWEn AWen
            PIN BWEn BWen
            PIN CWEn CWen
            PIN EPCWEn EPCWen
            PIN IEWEn InterruptWE
            PIN IFWEn IFWEn
            PIN InterruptEnableO InterruptEnabledIn
            PIN IRWEn IRWen
            PIN MemoryReadSrc MemoryReadAddressSelect(0)
            PIN MemWEn MemWen
            PIN PCWEn PCWen
            PIN RegisterReadMode RegisterReadMode
            PIN RegWEn RegWen
            PIN SpRegWEn SPRegWen
            PIN Subtract AdderMode
            PIN AdderInputSrc(1:0) AdderInputSelect(1:0)
            PIN InterruptFlag(15:0) InterruptFlag(15:0)
            PIN PCInputSelect(1:0) PCInputSelect(1:0)
            PIN RegWrDataSrc(2:0) RegisterWriteDataSourceSelect(2:0)
            PIN SPRegWrSrc(1:0) SPRegisterWriteSource(1:0)
        END BLOCK
        BEGIN BLOCK XLXI_2 gnd
            PIN G MemoryReadAddressSelect(1)
        END BLOCK
        BEGIN BLOCK XLXI_3 or3
            PIN I0 ButtonIn(3)
            PIN I1 ButtonIn(4)
            PIN I2 ButtonIn(5)
            PIN O Bin(3)
        END BLOCK
        BEGIN BLOCK XLXI_4 buf
            PIN I ButtonIn(2)
            PIN O Bin(2)
        END BLOCK
        BEGIN BLOCK XLXI_5 buf
            PIN I ButtonIn(1)
            PIN O Bin(1)
        END BLOCK
        BEGIN BLOCK XLXI_6 buf
            PIN I ButtonIn(0)
            PIN O Bin(0)
        END BLOCK
        BEGIN BLOCK XLXI_8 fdr
            PIN C Clk
            PIN D XLXN_63
            PIN R Reset
            PIN Q InterruptEnabled
        END BLOCK
        BEGIN BLOCK XLXI_9 m2_1
            PIN D0 InterruptEnabled
            PIN D1 InterruptEnabledIn
            PIN S0 InterruptWE
            PIN O XLXN_63
        END BLOCK
    END NETLIST
    BEGIN SHEET 1 3520 2720
        BEGIN INSTANCE XLXI_1 976 2144 R0
        END INSTANCE
        BEGIN BRANCH MemoryReadAddressSelect(1:0)
            WIRE 2432 1456 2816 1456
        END BRANCH
        IOMARKER 2816 1456 MemoryReadAddressSelect(1:0) R0 28
        BEGIN BRANCH AWen
            WIRE 1408 960 1776 960
            WIRE 1776 960 1792 960
        END BRANCH
        IOMARKER 1792 960 AWen R0 28
        BEGIN BRANCH BWen
            WIRE 1408 1024 1792 1024
        END BRANCH
        IOMARKER 1792 1024 BWen R0 28
        BEGIN BRANCH CWen
            WIRE 1408 1088 1792 1088
        END BRANCH
        IOMARKER 1792 1088 CWen R0 28
        BEGIN BRANCH EPCWen
            WIRE 1408 1152 1792 1152
        END BRANCH
        IOMARKER 1792 1152 EPCWen R0 28
        BEGIN BRANCH IFWEn
            WIRE 1408 1216 1792 1216
        END BRANCH
        IOMARKER 1792 1216 IFWEn R0 28
        BEGIN BRANCH IRWen
            WIRE 1408 1344 1792 1344
        END BRANCH
        IOMARKER 1792 1344 IRWen R0 28
        BEGIN BRANCH PCWen
            WIRE 1408 1536 1792 1536
        END BRANCH
        IOMARKER 1792 1536 PCWen R0 28
        BEGIN BRANCH RegisterReadMode
            WIRE 1408 1600 1792 1600
        END BRANCH
        IOMARKER 1792 1600 RegisterReadMode R0 28
        BEGIN BRANCH RegWen
            WIRE 1408 1664 1792 1664
        END BRANCH
        IOMARKER 1792 1664 RegWen R0 28
        BEGIN BRANCH MemWen
            WIRE 1408 1472 1792 1472
        END BRANCH
        IOMARKER 1792 1472 MemWen R0 28
        BEGIN BRANCH AdderMode
            WIRE 1408 1792 1792 1792
        END BRANCH
        IOMARKER 1792 1792 AdderMode R0 28
        BEGIN BRANCH SPRegWen
            WIRE 1408 1728 1792 1728
        END BRANCH
        IOMARKER 1792 1728 SPRegWen R0 28
        BEGIN BRANCH AdderInputSelect(1:0)
            WIRE 1408 1856 1792 1856
        END BRANCH
        IOMARKER 1792 1856 AdderInputSelect(1:0) R0 28
        BEGIN BRANCH InterruptFlag(15:0)
            WIRE 1408 1920 1792 1920
        END BRANCH
        IOMARKER 1792 1920 InterruptFlag(15:0) R0 28
        BEGIN BRANCH PCInputSelect(1:0)
            WIRE 1408 1984 1792 1984
        END BRANCH
        IOMARKER 1792 1984 PCInputSelect(1:0) R0 28
        BEGIN BRANCH SPRegisterWriteSource(1:0)
            WIRE 1408 2112 1792 2112
        END BRANCH
        IOMARKER 1792 2112 SPRegisterWriteSource(1:0) R0 28
        BEGIN BRANCH RegisterWriteDataSourceSelect(2:0)
            WIRE 1408 2048 1792 2048
        END BRANCH
        IOMARKER 1792 2048 RegisterWriteDataSourceSelect(2:0) R0 28
        BEGIN BRANCH MemoryReadAddressSelect(0)
            WIRE 1408 1408 1440 1408
            BEGIN DISPLAY 1440 1408 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        INSTANCE XLXI_2 2288 1184 R0
        BEGIN BRANCH MemoryReadAddressSelect(1)
            WIRE 2352 1040 2352 1056
            WIRE 2352 1040 2416 1040
            WIRE 2416 1040 2416 1056
            BEGIN DISPLAY 2416 1056 ATTR Name
                ALIGNMENT SOFT-VRIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH Clk
            WIRE 736 960 800 960
            WIRE 800 960 976 960
            WIRE 800 560 1008 560
            WIRE 800 560 800 960
        END BRANCH
        IOMARKER 736 960 Clk R180 28
        BEGIN BRANCH ComparatorResult
            WIRE 736 1152 976 1152
        END BRANCH
        IOMARKER 736 1152 ComparatorResult R180 28
        BEGIN BRANCH InstMod
            WIRE 736 1344 976 1344
        END BRANCH
        IOMARKER 736 1344 InstMod R180 28
        BEGIN BRANCH Instruction(3:0)
            WIRE 736 2112 976 2112
        END BRANCH
        IOMARKER 736 2112 Instruction(3:0) R180 28
        BEGIN BRANCH ButtonIn(5:0)
            WIRE 192 1856 432 1856
        END BRANCH
        IOMARKER 192 1856 ButtonIn(5:0) R180 28
        INSTANCE XLXI_3 224 1728 R0
        BEGIN BRANCH ButtonIn(5)
            WIRE 160 1536 224 1536
            BEGIN DISPLAY 160 1536 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH ButtonIn(4)
            WIRE 176 1600 224 1600
            BEGIN DISPLAY 176 1600 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH ButtonIn(3)
            WIRE 176 1664 224 1664
            BEGIN DISPLAY 176 1664 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH Bin(3)
            WIRE 480 1600 528 1600
            BEGIN DISPLAY 528 1600 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH Bin(3:0)
            WIRE 896 1920 976 1920
            BEGIN DISPLAY 896 1920 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        INSTANCE XLXI_4 160 1984 R0
        INSTANCE XLXI_5 160 2048 R0
        BEGIN BRANCH ButtonIn(2)
            WIRE 128 1952 160 1952
            BEGIN DISPLAY 128 1952 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH ButtonIn(1)
            WIRE 128 2016 160 2016
            BEGIN DISPLAY 128 2016 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH Bin(2)
            WIRE 384 1952 416 1952
            BEGIN DISPLAY 416 1952 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH Bin(1)
            WIRE 384 2016 416 2016
            BEGIN DISPLAY 416 2016 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        INSTANCE XLXI_6 160 2112 R0
        BEGIN BRANCH ButtonIn(0)
            WIRE 128 2080 160 2080
            BEGIN DISPLAY 128 2080 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH Bin(0)
            WIRE 384 2080 416 2080
            BEGIN DISPLAY 416 2080 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH Reset
            WIRE 848 1728 896 1728
            WIRE 896 1728 976 1728
            WIRE 896 768 1008 768
            WIRE 896 768 896 1728
            WIRE 1008 656 1008 768
        END BRANCH
        IOMARKER 848 1728 Reset R180 28
        INSTANCE XLXI_8 1008 688 R0
        INSTANCE XLXI_9 592 560 R0
        BEGIN BRANCH XLXN_63
            WIRE 912 432 1008 432
        END BRANCH
        BEGIN BRANCH InterruptEnabled
            WIRE 512 304 512 400
            WIRE 512 400 592 400
            WIRE 512 304 928 304
            WIRE 928 304 1456 304
            WIRE 1456 304 1456 352
            WIRE 1456 352 1456 432
            WIRE 1456 352 1536 352
            WIRE 1392 432 1456 432
            BEGIN DISPLAY 928 304 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH InterruptEnabledIn
            WIRE 544 464 592 464
            BEGIN DISPLAY 544 464 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH InterruptWE
            WIRE 544 528 592 528
            BEGIN DISPLAY 544 528 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH InterruptEnabled
            WIRE 960 1536 976 1536
            BEGIN DISPLAY 960 1536 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH InterruptEnabledIn
            WIRE 1408 1280 1456 1280
            BEGIN DISPLAY 1456 1280 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH InterruptWE
            WIRE 1408 2176 1456 2176
            BEGIN DISPLAY 1456 2176 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        IOMARKER 1536 352 InterruptEnabled R0 28
    END SHEET
END SCHEMATIC
