VERSION 6
BEGIN SCHEMATIC
    BEGIN ATTR DeviceFamilyName "spartan2e"
        DELETE all:0
        EDITNAME all:0
        EDITTRAIT all:0
    END ATTR
    BEGIN NETLIST
        SIGNAL RA1(3:0)
        SIGNAL RA2(3:0)
        SIGNAL RA3(3:0)
        SIGNAL WA(3:0)
        SIGNAL WD(15:0)
        SIGNAL RD1(15:0)
        SIGNAL RD2(15:0)
        SIGNAL RD3(15:0)
        SIGNAL Clk
        SIGNAL WEn
        SIGNAL Reset
        PORT Input RA1(3:0)
        PORT Input RA2(3:0)
        PORT Input RA3(3:0)
        PORT Input WA(3:0)
        PORT Input WD(15:0)
        PORT Output RD1(15:0)
        PORT Output RD2(15:0)
        PORT Output RD3(15:0)
        PORT Input Clk
        PORT Input WEn
        PORT Input Reset
        BEGIN BLOCKDEF ChidRegFile
            TIMESTAMP 2005 11 13 5 47 56
            LINE N 64 32 0 32 
            LINE N 64 -416 0 -416 
            LINE N 64 -352 0 -352 
            RECTANGLE N 0 -300 64 -276 
            LINE N 64 -288 0 -288 
            RECTANGLE N 0 -236 64 -212 
            LINE N 64 -224 0 -224 
            RECTANGLE N 0 -172 64 -148 
            LINE N 64 -160 0 -160 
            RECTANGLE N 0 -108 64 -84 
            LINE N 64 -96 0 -96 
            RECTANGLE N 0 -44 64 -20 
            LINE N 64 -32 0 -32 
            RECTANGLE N 384 -428 448 -404 
            LINE N 384 -416 448 -416 
            RECTANGLE N 384 -236 448 -212 
            LINE N 384 -224 448 -224 
            RECTANGLE N 384 -44 448 -20 
            LINE N 384 -32 448 -32 
            RECTANGLE N 64 -448 384 64 
        END BLOCKDEF
        BEGIN BLOCK XLXI_3 ChidRegFile
            PIN RegWrite WEn
            PIN Reset Reset
            PIN CLK Clk
            PIN ReadReg1(3:0) RA1(3:0)
            PIN ReadReg2(3:0) RA2(3:0)
            PIN ReadReg3(3:0) RA3(3:0)
            PIN WriteReg(3:0) WA(3:0)
            PIN WriteData(15:0) WD(15:0)
            PIN ReadData1(15:0) RD1(15:0)
            PIN ReadData2(15:0) RD2(15:0)
            PIN ReadData3(15:0) RD3(15:0)
        END BLOCK
    END NETLIST
    BEGIN SHEET 1 3520 2720
        BEGIN BRANCH RA1(3:0)
            WIRE 1136 1024 1264 1024
            WIRE 1264 1024 1408 1024
            WIRE 1408 1024 1520 1024
            BEGIN DISPLAY 1264 1024 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH RA2(3:0)
            WIRE 1136 1088 1264 1088
            WIRE 1264 1088 1408 1088
            WIRE 1408 1088 1520 1088
            BEGIN DISPLAY 1264 1088 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH RA3(3:0)
            WIRE 1136 1152 1280 1152
            WIRE 1280 1152 1408 1152
            WIRE 1408 1152 1520 1152
            BEGIN DISPLAY 1280 1152 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH WA(3:0)
            WIRE 1168 1216 1248 1216
            WIRE 1248 1216 1408 1216
            WIRE 1408 1216 1520 1216
            BEGIN DISPLAY 1248 1216 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH WD(15:0)
            WIRE 1136 1280 1248 1280
            WIRE 1248 1280 1408 1280
            WIRE 1408 1280 1520 1280
            BEGIN DISPLAY 1248 1280 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        IOMARKER 1136 1024 RA1(3:0) R180 28
        IOMARKER 1136 1088 RA2(3:0) R180 28
        IOMARKER 1136 1152 RA3(3:0) R180 28
        IOMARKER 1168 1216 WA(3:0) R180 28
        IOMARKER 1136 1280 WD(15:0) R180 28
        BEGIN BRANCH RD1(15:0)
            WIRE 1968 896 2000 896
            WIRE 2000 896 2080 896
            WIRE 2080 896 2224 896
            BEGIN DISPLAY 2080 896 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH RD2(15:0)
            WIRE 1968 1088 2000 1088
            WIRE 2000 1088 2064 1088
            WIRE 2064 1088 2240 1088
            BEGIN DISPLAY 2064 1088 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH RD3(15:0)
            WIRE 1968 1280 2000 1280
            WIRE 2000 1280 2112 1280
            WIRE 2112 1280 2240 1280
            BEGIN DISPLAY 2112 1280 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        IOMARKER 2224 896 RD1(15:0) R0 28
        IOMARKER 2240 1088 RD2(15:0) R0 28
        IOMARKER 2240 1280 RD3(15:0) R0 28
        BEGIN BRANCH Clk
            WIRE 1248 960 1408 960
            WIRE 1408 960 1488 960
            WIRE 1488 960 1520 960
            BEGIN DISPLAY 1408 960 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH WEn
            WIRE 1216 896 1312 896
            WIRE 1312 896 1488 896
            WIRE 1488 896 1520 896
            BEGIN DISPLAY 1312 896 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        IOMARKER 1248 960 Clk R180 28
        IOMARKER 1216 896 WEn R180 28
        BEGIN INSTANCE XLXI_3 1520 1312 R0
        END INSTANCE
        BEGIN BRANCH Reset
            WIRE 1472 1344 1520 1344
        END BRANCH
        IOMARKER 1472 1344 Reset R180 28
    END SHEET
END SCHEMATIC
