VERSION 6
BEGIN SCHEMATIC
    BEGIN ATTR DeviceFamilyName "spartan2e"
        DELETE all:0
        EDITNAME all:0
        EDITTRAIT all:0
    END ATTR
    BEGIN NETLIST
        SIGNAL XLXN_1(15:0)
        SIGNAL XLXN_5(15:0)
        SIGNAL XLXN_6(15:0)
        SIGNAL IR(11:8)
        SIGNAL IR(7:4)
        SIGNAL PC(15:0)
        SIGNAL AWEn
        SIGNAL BWEn
        SIGNAL CWEn
        SIGNAL RegWEn
        SIGNAL AddOut(15:0)
        SIGNAL XLXN_37(3:0)
        SIGNAL IR(3:0)
        SIGNAL RegisterReadMode
        SIGNAL XLXN_39(3:0)
        SIGNAL Clk
        SIGNAL IR(4:0)
        SIGNAL COut(15:0)
        SIGNAL BOut(15:0)
        SIGNAL AOut(15:0)
        SIGNAL RegisterWriteDataSourceSelect(2:0)
        SIGNAL MemOut(15:0)
        SIGNAL LLIin(15:0)
        SIGNAL LUIin(15:0)
        SIGNAL OROutout(15:0)
        SIGNAL XLXN_118(4:0)
        SIGNAL XLXN_120(4:0)
        SIGNAL InterruptFlag(15:0)
        SIGNAL SPRegisterWriteSource(1:0)
        SIGNAL XLXN_130(15:0)
        SIGNAL EPCOut(15:0)
        SIGNAL SPRegReadData(15:0)
        SIGNAL Sum(15:0)
        SIGNAL ComparatorResult
        SIGNAL LTEngineResult
        SIGNAL ShiftOut(15:0)
        SIGNAL AdderInput0(15:0)
        SIGNAL AdderInput1(15:0)
        SIGNAL XLXN_177(15:0)
        SIGNAL XLXN_183(15:0)
        SIGNAL XLXN_186(15:0)
        SIGNAL AdderInputSelect(1:0)
        SIGNAL IR(7:0)
        SIGNAL AOut(7:0)
        SIGNAL AOut(15:8)
        SIGNAL XLXN_196(15:0)
        SIGNAL EPCWEn
        SIGNAL InterruptFlagIn(15:0)
        SIGNAL IFWEn
        SIGNAL IR(15:0)
        SIGNAL IRWEn
        SIGNAL Subtract
        SIGNAL AdderZero
        SIGNAL MemoryReadAddress(15:0)
        SIGNAL XLXN_19(15:0)
        SIGNAL XLXN_33(15:0)
        SIGNAL PCWEn
        SIGNAL PCInputSelect(1:0)
        SIGNAL MemoryReadAddressSelect(1:0)
        SIGNAL SPRegWEn
        SIGNAL MemWEn
        SIGNAL IR(15:12)
        SIGNAL IR(7)
        SIGNAL XLXN_237(4:0)
        SIGNAL XLXN_238(4:0)
        SIGNAL Switches(15:0)
        SIGNAL ButtonIn(5:0)
        SIGNAL Display0(15:0)
        SIGNAL Display1(15:0)
        SIGNAL Display2(15:0)
        SIGNAL Display3(15:0)
        SIGNAL Reset
        SIGNAL XLXN_236(15:0)
        SIGNAL InterruptEnabled
        PORT Output PC(15:0)
        PORT Input Clk
        PORT Output COut(15:0)
        PORT Output BOut(15:0)
        PORT Output AOut(15:0)
        PORT Output MemOut(15:0)
        PORT Output ComparatorResult
        PORT Output IR(15:0)
        PORT Output IRWEn
        PORT Output MemoryReadAddress(15:0)
        PORT Input Switches(15:0)
        PORT Input ButtonIn(5:0)
        PORT Output Display0(15:0)
        PORT Output Display1(15:0)
        PORT Output Display2(15:0)
        PORT Output Display3(15:0)
        PORT Input Reset
        PORT Output InterruptEnabled
        BEGIN BLOCKDEF SingleWordStore
            TIMESTAMP 2005 11 4 23 25 15
            RECTANGLE N 64 -128 240 -32 
            LINE N 64 -96 0 -96 
            RECTANGLE N 0 -108 64 -84 
            RECTANGLE N 240 -108 304 -84 
            LINE N 240 -96 304 -96 
            LINE N 144 -32 144 -16 
            LINE N 0 -48 64 -48 
        END BLOCKDEF
        BEGIN BLOCKDEF mux16by4
            TIMESTAMP 2005 10 25 2 2 17
            RECTANGLE N 32 0 256 168 
            BEGIN LINE W 0 16 32 16 
            END LINE
            BEGIN LINE W 0 48 32 48 
            END LINE
            BEGIN LINE W 0 80 32 80 
            END LINE
            BEGIN LINE W 0 112 32 112 
            END LINE
            BEGIN LINE W 0 144 32 144 
            END LINE
            BEGIN LINE W 256 80 288 80 
            END LINE
        END BLOCKDEF
        BEGIN BLOCKDEF Memory
            TIMESTAMP 2005 11 13 5 48 57
            LINE N 64 -64 0 -64 
            RECTANGLE N 0 -236 64 -212 
            LINE N 64 -224 0 -224 
            RECTANGLE N 320 -236 384 -212 
            LINE N 320 -224 384 -224 
            RECTANGLE N 0 -140 64 -116 
            LINE N 64 -128 0 -128 
            RECTANGLE N 0 -172 64 -148 
            LINE N 64 -160 0 -160 
            LINE N 64 -192 0 -192 
            LINE N 64 -96 0 -96 
            RECTANGLE N 64 -256 320 -36 
        END BLOCKDEF
        BEGIN BLOCKDEF Adder
            TIMESTAMP 2005 10 25 2 2 14
            RECTANGLE N 64 -192 320 -72 
            RECTANGLE N 0 -172 64 -148 
            LINE N 64 -160 0 -160 
            RECTANGLE N 320 -172 384 -148 
            LINE N 320 -160 384 -160 
            RECTANGLE N 0 -140 64 -116 
            LINE N 64 -128 0 -128 
            LINE N 64 -96 0 -96 
            LINE N 320 -112 384 -112 
        END BLOCKDEF
        BEGIN BLOCKDEF mux4by2
            TIMESTAMP 2005 10 25 2 2 16
            RECTANGLE N 32 0 192 124 
            BEGIN LINE W 0 32 32 32 
            END LINE
            BEGIN LINE W 0 64 32 64 
            END LINE
            BEGIN LINE W 0 96 32 96 
            END LINE
            BEGIN LINE W 192 64 224 64 
            END LINE
        END BLOCKDEF
        BEGIN BLOCKDEF SPregister
            TIMESTAMP 2005 11 6 10 44 55
            LINE N 64 -96 0 -96 
            RECTANGLE N 0 -300 64 -276 
            LINE N 64 -288 0 -288 
            RECTANGLE N 320 -300 384 -276 
            LINE N 320 -288 384 -288 
            RECTANGLE N 0 -204 64 -180 
            LINE N 64 -192 0 -192 
            LINE N 64 -256 0 -256 
            RECTANGLE N 0 -236 64 -212 
            LINE N 64 -224 0 -224 
            RECTANGLE N 320 -236 384 -212 
            LINE N 320 -224 384 -224 
            RECTANGLE N 320 -204 384 -180 
            LINE N 320 -192 384 -192 
            RECTANGLE N 320 -172 384 -148 
            LINE N 320 -160 384 -160 
            RECTANGLE N 320 -268 384 -244 
            LINE N 320 -256 384 -256 
            LINE N 64 -128 0 -128 
            RECTANGLE N 0 -172 64 -148 
            LINE N 64 -160 0 -160 
            RECTANGLE N 64 -320 320 -72 
        END BLOCKDEF
        BEGIN BLOCKDEF SingleWordAlwaysWriteEnable
            TIMESTAMP 2005 11 4 23 37 46
            RECTANGLE N 64 -128 320 -40 
            RECTANGLE N 0 -108 64 -84 
            LINE N 64 -96 0 -96 
            RECTANGLE N 320 -108 384 -84 
            LINE N 320 -96 384 -96 
            LINE N 64 -64 0 -64 
        END BLOCKDEF
        BEGIN BLOCKDEF variableshifter
            TIMESTAMP 2005 11 3 23 46 53
            RECTANGLE N 64 -192 320 -76 
            RECTANGLE N 0 -172 64 -148 
            LINE N 64 -160 0 -160 
            RECTANGLE N 320 -172 384 -148 
            LINE N 320 -160 384 -160 
            RECTANGLE N 0 -140 64 -116 
            LINE N 64 -128 0 -128 
        END BLOCKDEF
        BEGIN BLOCKDEF Comparator
            TIMESTAMP 2005 11 3 23 17 48
            RECTANGLE N 64 -128 320 -36 
            RECTANGLE N 0 -108 64 -84 
            LINE N 64 -96 0 -96 
            LINE N 320 -96 384 -96 
            RECTANGLE N 0 -76 64 -52 
            LINE N 64 -64 0 -64 
        END BLOCKDEF
        BEGIN BLOCKDEF six
            TIMESTAMP 2005 10 25 2 2 16
            RECTANGLE N 0 -128 96 -92 
            RECTANGLE N 96 -124 160 -100 
            LINE N 96 -112 160 -112 
        END BLOCKDEF
        BEGIN BLOCKDEF mux5by4
            TIMESTAMP 2005 10 25 2 2 15
            RECTANGLE N 32 0 196 192 
            BEGIN LINE W 0 64 32 64 
            END LINE
            BEGIN LINE W 0 96 32 96 
            END LINE
            BEGIN LINE W 0 128 32 128 
            END LINE
            BEGIN LINE W 0 160 32 160 
            END LINE
            BEGIN LINE W 0 32 32 32 
            END LINE
            BEGIN LINE W 192 96 224 96 
            END LINE
        END BLOCKDEF
        BEGIN BLOCKDEF seven
            TIMESTAMP 2005 10 25 2 2 16
            RECTANGLE N 320 20 384 44 
            LINE N 320 32 384 32 
            RECTANGLE N 188 8 320 56 
        END BLOCKDEF
        BEGIN BLOCKDEF eight
            TIMESTAMP 2005 10 25 2 2 16
            RECTANGLE N 192 -52 320 -12 
            RECTANGLE N 320 -44 384 -20 
            LINE N 320 -32 384 -32 
        END BLOCKDEF
        BEGIN BLOCKDEF two
            TIMESTAMP 2005 10 25 2 2 16
            RECTANGLE N 320 20 384 44 
            LINE N 320 32 384 32 
            RECTANGLE N 208 12 320 52 
        END BLOCKDEF
        BEGIN BLOCKDEF zero
            TIMESTAMP 2005 10 25 2 2 15
            RECTANGLE N 320 84 384 108 
            LINE N 320 96 384 96 
            RECTANGLE N 212 80 320 112 
        END BLOCKDEF
        BEGIN BLOCKDEF SignExtend4
            TIMESTAMP 2005 10 25 2 2 14
            RECTANGLE N 64 -64 320 -12 
            RECTANGLE N 0 -44 64 -20 
            LINE N 64 -32 0 -32 
            RECTANGLE N 320 -44 384 -20 
            LINE N 320 -32 384 -32 
        END BLOCKDEF
        BEGIN BLOCKDEF or16bitwise
            TIMESTAMP 2005 10 25 2 2 13
            RECTANGLE N 32 16 208 104 
            BEGIN LINE W 0 48 32 48 
            END LINE
            BEGIN LINE W 0 80 32 80 
            END LINE
            BEGIN LINE W 208 64 240 64 
            END LINE
        END BLOCKDEF
        BEGIN BLOCKDEF concatinator
            TIMESTAMP 2005 10 25 2 2 15
            RECTANGLE N 64 -128 208 -40 
            RECTANGLE N 0 -108 64 -84 
            LINE N 64 -96 0 -96 
            RECTANGLE N 0 -76 64 -52 
            LINE N 64 -64 0 -64 
            RECTANGLE N 208 -92 272 -68 
            LINE N 208 -80 272 -80 
        END BLOCKDEF
        BEGIN BLOCKDEF five
            TIMESTAMP 2005 11 3 23 18 46
            RECTANGLE N 212 -48 320 -16 
            RECTANGLE N 320 -44 384 -20 
            LINE N 320 -32 384 -32 
        END BLOCKDEF
        BEGIN BLOCKDEF mux16by8
            TIMESTAMP 2005 10 25 2 2 17
            RECTANGLE N 32 0 228 288 
            BEGIN LINE W 0 48 32 48 
            END LINE
            BEGIN LINE W 0 80 32 80 
            END LINE
            BEGIN LINE W 0 112 32 112 
            END LINE
            BEGIN LINE W 0 144 32 144 
            END LINE
            BEGIN LINE W 0 176 32 176 
            END LINE
            BEGIN LINE W 0 208 32 208 
            END LINE
            BEGIN LINE W 0 240 32 240 
            END LINE
            BEGIN LINE W 0 272 32 272 
            END LINE
            BEGIN LINE W 0 16 32 16 
            END LINE
            BEGIN LINE W 224 144 256 144 
            END LINE
        END BLOCKDEF
        BEGIN BLOCKDEF LTEConvert
            TIMESTAMP 2005 11 3 23 22 44
            LINE N 64 32 0 32 
            RECTANGLE N 64 12 224 64 
            RECTANGLE N 224 20 288 44 
            LINE N 224 32 288 32 
        END BLOCKDEF
        BEGIN BLOCKDEF ControlUnit
            TIMESTAMP 2005 11 13 2 20 20
            LINE N 432 -560 496 -560 
            LINE N 64 -592 0 -592 
            LINE N 64 -624 0 -624 
            RECTANGLE N 0 -1196 64 -1172 
            LINE N 64 -1184 0 -1184 
            LINE N 432 -1200 496 -1200 
            LINE N 432 -1168 496 -1168 
            LINE N 432 -1136 496 -1136 
            LINE N 432 -1104 496 -1104 
            LINE N 432 -1072 496 -1072 
            LINE N 432 -1040 496 -1040 
            LINE N 432 -1008 496 -1008 
            LINE N 432 -976 496 -976 
            LINE N 432 -944 496 -944 
            LINE N 64 -1152 0 -1152 
            LINE N 64 -1120 0 -1120 
            RECTANGLE N 432 -924 496 -900 
            LINE N 432 -912 496 -912 
            RECTANGLE N 432 -892 496 -868 
            LINE N 432 -880 496 -880 
            RECTANGLE N 432 -860 496 -836 
            LINE N 432 -848 496 -848 
            RECTANGLE N 432 -828 496 -804 
            LINE N 432 -816 496 -816 
            LINE N 432 -784 496 -784 
            LINE N 432 -752 496 -752 
            RECTANGLE N 432 -732 496 -708 
            LINE N 432 -720 496 -720 
            RECTANGLE N 432 -700 496 -676 
            LINE N 432 -688 496 -688 
            LINE N 432 -656 496 -656 
            RECTANGLE N 0 -1100 64 -1076 
            LINE N 64 -1088 0 -1088 
            RECTANGLE N 64 -1216 432 -544 
        END BLOCKDEF
        BEGIN BLOCKDEF GPRegister
            TIMESTAMP 2005 11 13 5 49 2
            LINE N 64 -240 0 -240 
            RECTANGLE N 0 -492 64 -468 
            LINE N 64 -480 0 -480 
            RECTANGLE N 320 -492 384 -468 
            LINE N 320 -480 384 -480 
            RECTANGLE N 0 -460 64 -436 
            LINE N 64 -448 0 -448 
            RECTANGLE N 0 -428 64 -404 
            LINE N 64 -416 0 -416 
            RECTANGLE N 320 -460 384 -436 
            LINE N 320 -448 384 -448 
            RECTANGLE N 320 -428 384 -404 
            LINE N 320 -416 384 -416 
            LINE N 64 -368 0 -368 
            RECTANGLE N 0 -348 64 -324 
            LINE N 64 -336 0 -336 
            RECTANGLE N 0 -316 64 -292 
            LINE N 64 -304 0 -304 
            LINE N 64 -272 0 -272 
            RECTANGLE N 64 -512 320 -220 
        END BLOCKDEF
        BEGIN BLOCKDEF ltemanual
            TIMESTAMP 2005 11 6 10 22 59
            RECTANGLE N 64 -116 320 -48 
            RECTANGLE N 0 -108 64 -84 
            LINE N 64 -96 0 -96 
            LINE N 320 -96 384 -96 
            RECTANGLE N 0 -76 64 -52 
            LINE N 64 -64 0 -64 
        END BLOCKDEF
        BEGIN BLOCK A SingleWordStore
            PIN WEn AWEn
            PIN Clk Clk
            PIN Input(15:0) XLXN_1(15:0)
            PIN Output(15:0) AOut(15:0)
        END BLOCK
        BEGIN BLOCK B SingleWordStore
            PIN WEn BWEn
            PIN Clk Clk
            PIN Input(15:0) XLXN_5(15:0)
            PIN Output(15:0) BOut(15:0)
        END BLOCK
        BEGIN BLOCK C SingleWordStore
            PIN WEn CWEn
            PIN Clk Clk
            PIN Input(15:0) XLXN_6(15:0)
            PIN Output(15:0) COut(15:0)
        END BLOCK
        BEGIN BLOCK XLXI_22 mux4by2
            PIN S(0:0) RegisterReadMode
            PIN MB(3:0) XLXN_39(3:0)
            PIN MA(3:0) IR(3:0)
            PIN O(3:0) XLXN_37(3:0)
        END BLOCK
        BEGIN BLOCK XLXI_40 mux5by4
            PIN MD(4:0) XLXN_238(4:0)
            PIN MC(4:0) XLXN_120(4:0)
            PIN MB(4:0) XLXN_237(4:0)
            PIN MA(4:0) IR(4:0)
            PIN S(1:0) SPRegisterWriteSource(1:0)
            PIN O(4:0) XLXN_118(4:0)
        END BLOCK
        BEGIN BLOCK XLXI_39 six
            PIN six(4:0) XLXN_237(4:0)
        END BLOCK
        BEGIN BLOCK XLXI_41 seven
            PIN seven(4:0) XLXN_120(4:0)
        END BLOCK
        BEGIN BLOCK XLXI_44 eight
            PIN eight(4:0) XLXN_238(4:0)
        END BLOCK
        BEGIN BLOCK XLXI_48 mux16by4
            PIN S(1:0) SPRegisterWriteSource(1:0)
            PIN MD(15:0) InterruptFlag(15:0)
            PIN MC(15:0) EPCOut(15:0)
            PIN MB(15:0) PC(15:0)
            PIN MA(15:0) AOut(15:0)
            PIN O(15:0) XLXN_130(15:0)
        END BLOCK
        BEGIN BLOCK XLXI_31 variableshifter
            PIN ShiftAmount(3:0) IR(3:0)
            PIN Input(15:0) BOut(15:0)
            PIN Output(15:0) ShiftOut(15:0)
        END BLOCK
        BEGIN BLOCK XLXI_36 Comparator
            PIN In1(15:0) BOut(15:0)
            PIN In0(15:0) AOut(15:0)
            PIN Equal ComparatorResult
        END BLOCK
        BEGIN BLOCK XLXI_62 mux16by4
            PIN S(1:0) AdderInputSelect(1:0)
            PIN MD(15:0) XLXN_186(15:0)
            PIN MC(15:0) COut(15:0)
            PIN MB(15:0) XLXN_183(15:0)
            PIN MA(15:0) XLXN_177(15:0)
            PIN O(15:0) AdderInput0(15:0)
        END BLOCK
        BEGIN BLOCK XLXI_63 mux16by4
            PIN S(1:0) AdderInputSelect(1:0)
            PIN MD(15:0) BOut(15:0)
            PIN MC(15:0) BOut(15:0)
            PIN MB(15:0) BOut(15:0)
            PIN MA(15:0) PC(15:0)
            PIN O(15:0) AdderInput1(15:0)
        END BLOCK
        BEGIN BLOCK XLXI_64 two
            PIN two(15:0) XLXN_177(15:0)
        END BLOCK
        BEGIN BLOCK XLXI_65 zero
            PIN zero(15:0) XLXN_186(15:0)
        END BLOCK
        BEGIN BLOCK XLXI_66 SignExtend4
            PIN Input(3:0) IR(3:0)
            PIN Output(15:0) XLXN_183(15:0)
        END BLOCK
        BEGIN BLOCK XLXI_69 concatinator
            PIN A(7:0) IR(7:0)
            PIN B(7:0) AOut(7:0)
            PIN C(15:0) LUIin(15:0)
        END BLOCK
        BEGIN BLOCK XLXI_70 concatinator
            PIN A(7:0) AOut(15:8)
            PIN B(7:0) IR(7:0)
            PIN C(15:0) LLIin(15:0)
        END BLOCK
        BEGIN BLOCK XLXI_71 five
            PIN five(3:0) XLXN_39(3:0)
        END BLOCK
        BEGIN BLOCK EPC SingleWordStore
            PIN WEn EPCWEn
            PIN Clk Clk
            PIN Input(15:0) PC(15:0)
            PIN Output(15:0) EPCOut(15:0)
        END BLOCK
        BEGIN BLOCK InterruptFlag_ SingleWordStore
            PIN WEn IFWEn
            PIN Clk Clk
            PIN Input(15:0) InterruptFlagIn(15:0)
            PIN Output(15:0) InterruptFlag(15:0)
        END BLOCK
        BEGIN BLOCK IR_ SingleWordStore
            PIN WEn IRWEn
            PIN Clk Clk
            PIN Input(15:0) MemOut(15:0)
            PIN Output(15:0) IR(15:0)
        END BLOCK
        BEGIN BLOCK Sum_ SingleWordAlwaysWriteEnable
            PIN Input(15:0) AddOut(15:0)
            PIN Clk Clk
            PIN Output(15:0) Sum(15:0)
        END BLOCK
        BEGIN BLOCK XLXI_14 Adder
            PIN In0(15:0) AdderInput0(15:0)
            PIN Output(15:0) AddOut(15:0)
            PIN In1(15:0) AdderInput1(15:0)
            PIN Subtract Subtract
            PIN Zero AdderZero
        END BLOCK
        BEGIN BLOCK XLXI_67 or16bitwise
            PIN IA(15:0) BOut(15:0)
            PIN IB(15:0) COut(15:0)
            PIN O(15:0) OROutout(15:0)
        END BLOCK
        BEGIN BLOCK XLXI_86 ControlUnit
            PIN Clk Clk
            PIN ComparatorResult ComparatorResult
            PIN InstMod IR(7)
            PIN Instruction(3:0) IR(15:12)
            PIN ButtonIn(5:0) ButtonIn(5:0)
            PIN Reset Reset
            PIN MemoryReadAddressSelect(1:0) MemoryReadAddressSelect(1:0)
            PIN AWen AWEn
            PIN BWen BWEn
            PIN CWen CWEn
            PIN EPCWen EPCWEn
            PIN IFWEn IFWEn
            PIN IRWen IRWEn
            PIN PCWen PCWEn
            PIN RegisterReadMode RegisterReadMode
            PIN RegWen RegWEn
            PIN MemWen MemWEn
            PIN AdderMode Subtract
            PIN SPRegWen SPRegWEn
            PIN AdderInputSelect(1:0) AdderInputSelect(1:0)
            PIN InterruptFlag(15:0) InterruptFlagIn(15:0)
            PIN PCInputSelect(1:0) PCInputSelect(1:0)
            PIN SPRegisterWriteSource(1:0) SPRegisterWriteSource(1:0)
            PIN RegisterWriteDataSourceSelect(2:0) RegisterWriteDataSourceSelect(2:0)
            PIN InterruptEnabled InterruptEnabled
        END BLOCK
        BEGIN BLOCK PC_ SingleWordStore
            PIN WEn PCWEn
            PIN Clk Clk
            PIN Input(15:0) XLXN_19(15:0)
            PIN Output(15:0) PC(15:0)
        END BLOCK
        BEGIN BLOCK XLXI_13 mux16by4
            PIN S(1:0) PCInputSelect(1:0)
            PIN MD(15:0) XLXN_33(15:0)
            PIN MC(15:0) EPCOut(15:0)
            PIN MB(15:0) COut(15:0)
            PIN MA(15:0) AddOut(15:0)
            PIN O(15:0) XLXN_19(15:0)
        END BLOCK
        BEGIN BLOCK XLXI_24 SPregister
            PIN Switches(15:0) Switches(15:0)
            PIN Clk Clk
            PIN WE SPRegWEn
            PIN WD(15:0) XLXN_130(15:0)
            PIN WA(4:0) XLXN_118(4:0)
            PIN RA(4:0) IR(4:0)
            PIN Reset Reset
            PIN Display0(15:0) Display0(15:0)
            PIN Display1(15:0) Display1(15:0)
            PIN Display2(15:0) Display2(15:0)
            PIN Display3(15:0) Display3(15:0)
            PIN RD(15:0) SPRegReadData(15:0)
        END BLOCK
        BEGIN BLOCK XLXI_12 Memory
            PIN WE MemWEn
            PIN Clk Clk
            PIN WD(15:0) AOut(15:0)
            PIN WA(15:0) Sum(15:0)
            PIN RA(15:0) MemoryReadAddress(15:0)
            PIN Reset Reset
            PIN RD(15:0) MemOut(15:0)
        END BLOCK
        BEGIN BLOCK XLXI_96 zero
            PIN zero(15:0) XLXN_33(15:0)
        END BLOCK
        BEGIN BLOCK XLXI_97 GPRegister
            PIN RA1(3:0) IR(11:8)
            PIN RA2(3:0) IR(7:4)
            PIN RA3(3:0) XLXN_37(3:0)
            PIN WA(3:0) IR(11:8)
            PIN WD(15:0) XLXN_196(15:0)
            PIN Clk Clk
            PIN WEn RegWEn
            PIN Reset Reset
            PIN RD1(15:0) XLXN_1(15:0)
            PIN RD2(15:0) XLXN_5(15:0)
            PIN RD3(15:0) XLXN_6(15:0)
        END BLOCK
        BEGIN BLOCK XLXI_100 ltemanual
            PIN A(15:0) BOut(15:0)
            PIN a_lt_b LTEngineResult
            PIN B(15:0) COut(15:0)
        END BLOCK
        BEGIN BLOCK XLXI_73 mux16by8
            PIN MH(15:0) OROutout(15:0)
            PIN MG(15:0) Sum(15:0)
            PIN MF(15:0) MemOut(15:0)
            PIN ME(15:0) LLIin(15:0)
            PIN MD(15:0) LUIin(15:0)
            PIN MC(15:0) SPRegReadData(15:0)
            PIN MB(15:0) XLXN_236(15:0)
            PIN MA(15:0) ShiftOut(15:0)
            PIN S(2:0) RegisterWriteDataSourceSelect(2:0)
            PIN O(15:0) XLXN_196(15:0)
        END BLOCK
        BEGIN BLOCK XLXI_80 LTEConvert
            PIN indie LTEngineResult
            PIN outie(15:0) XLXN_236(15:0)
        END BLOCK
        BEGIN BLOCK XLXI_10 mux16by4
            PIN S(1:0) MemoryReadAddressSelect(1:0)
            PIN MD(15:0) Sum(15:0)
            PIN MC(15:0) PC(15:0)
            PIN MB(15:0) Sum(15:0)
            PIN MA(15:0) PC(15:0)
            PIN O(15:0) MemoryReadAddress(15:0)
        END BLOCK
    END NETLIST
    BEGIN SHEET 1 3520 2720
        BEGIN BRANCH XLXN_1(15:0)
            WIRE 1744 672 1760 672
            WIRE 1760 640 1856 640
            WIRE 1760 640 1760 672
        END BRANCH
        BEGIN BRANCH XLXN_5(15:0)
            WIRE 1744 704 1808 704
            WIRE 1808 704 1808 784
            WIRE 1808 784 1856 784
        END BRANCH
        BEGIN BRANCH XLXN_6(15:0)
            WIRE 1744 736 1760 736
            WIRE 1760 736 1760 928
            WIRE 1760 928 1856 928
        END BRANCH
        BEGIN BRANCH IR(11:8)
            WIRE 1296 672 1360 672
            BEGIN DISPLAY 1296 672 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH IR(7:4)
            WIRE 1296 704 1360 704
            BEGIN DISPLAY 1296 704 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN INSTANCE A 1856 736 R0
            BEGIN DISPLAY 0 -132 ATTR InstName
                FONT 28 "Arial"
            END DISPLAY
        END INSTANCE
        BEGIN INSTANCE B 1856 880 R0
            BEGIN DISPLAY 0 -128 ATTR InstName
                FONT 28 "Arial"
            END DISPLAY
        END INSTANCE
        BEGIN INSTANCE C 1856 1024 R0
            BEGIN DISPLAY 0 -128 ATTR InstName
                FONT 28 "Arial"
            END DISPLAY
        END INSTANCE
        BEGIN BRANCH AWEn
            WIRE 2000 720 2000 736
            WIRE 2000 736 2016 736
            BEGIN DISPLAY 2016 736 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH BWEn
            WIRE 2000 864 2000 880
            WIRE 2000 880 2016 880
            BEGIN DISPLAY 2016 880 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH CWEn
            WIRE 2000 1008 2000 1024
            WIRE 2000 1024 2016 1024
            BEGIN DISPLAY 2016 1024 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH RegWEn
            WIRE 1328 784 1360 784
            BEGIN DISPLAY 1328 784 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN INSTANCE XLXI_22 960 672 R0
        END INSTANCE
        BEGIN BRANCH XLXN_37(3:0)
            WIRE 1184 736 1360 736
        END BRANCH
        BEGIN BRANCH IR(3:0)
            WIRE 896 768 960 768
            BEGIN DISPLAY 896 768 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH RegisterReadMode
            WIRE 880 704 960 704
            BEGIN DISPLAY 880 704 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH XLXN_39(3:0)
            WIRE 944 736 960 736
        END BRANCH
        BEGIN BRANCH Clk
            WIRE 1840 688 1856 688
            BEGIN DISPLAY 1840 688 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH Clk
            WIRE 1824 832 1856 832
            BEGIN DISPLAY 1824 832 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH Clk
            WIRE 1824 976 1856 976
            BEGIN DISPLAY 1824 976 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH COut(15:0)
            WIRE 2160 928 2192 928
            BEGIN DISPLAY 2192 928 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH AOut(15:0)
            WIRE 2160 640 2176 640
            BEGIN DISPLAY 2176 640 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH IR(11:8)
            WIRE 1312 816 1360 816
            BEGIN DISPLAY 1312 816 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH XLXN_120(4:0)
            WIRE 1216 2192 1408 2192
        END BRANCH
        BEGIN INSTANCE XLXI_39 1056 2352 R0
        END INSTANCE
        BEGIN INSTANCE XLXI_41 832 2160 R0
        END INSTANCE
        BEGIN INSTANCE XLXI_44 832 2176 R0
        END INSTANCE
        BEGIN INSTANCE XLXI_48 1376 2368 R0
        END INSTANCE
        BEGIN BRANCH AOut(15:0)
            WIRE 1344 2512 1376 2512
            BEGIN DISPLAY 1344 2512 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH PC(15:0)
            WIRE 1344 2480 1376 2480
            BEGIN DISPLAY 1344 2480 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH EPCOut(15:0)
            WIRE 1344 2448 1376 2448
            BEGIN DISPLAY 1344 2448 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH InterruptFlag(15:0)
            WIRE 1344 2416 1376 2416
            BEGIN DISPLAY 1344 2416 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH SPRegisterWriteSource(1:0)
            WIRE 1344 2384 1376 2384
            BEGIN DISPLAY 1344 2384 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH XLXN_130(15:0)
            WIRE 1664 2448 1680 2448
            WIRE 1680 2432 1680 2448
            WIRE 1680 2432 2064 2432
        END BRANCH
        BEGIN BRANCH AOut(15:0)
            WIRE 2816 1600 2848 1600
            BEGIN DISPLAY 2816 1600 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH BOut(15:0)
            WIRE 2816 1632 2848 1632
            BEGIN DISPLAY 2816 1632 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH ComparatorResult
            WIRE 3232 1600 3280 1600
            BEGIN DISPLAY 3280 1600 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH COut(15:0)
            WIRE 2848 1808 2880 1808
            BEGIN DISPLAY 2848 1808 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN INSTANCE XLXI_31 2832 2096 R0
        END INSTANCE
        BEGIN BRANCH BOut(15:0)
            WIRE 2784 1936 2832 1936
            BEGIN DISPLAY 2784 1936 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH IR(3:0)
            WIRE 2784 1968 2832 1968
            BEGIN DISPLAY 2784 1968 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH ShiftOut(15:0)
            WIRE 3216 1936 3248 1936
            BEGIN DISPLAY 3248 1936 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN INSTANCE XLXI_36 2848 1696 R0
        END INSTANCE
        BEGIN INSTANCE XLXI_62 2752 64 R0
        END INSTANCE
        BEGIN BRANCH AdderInput0(15:0)
            WIRE 3040 144 3056 144
            BEGIN DISPLAY 3056 144 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN INSTANCE XLXI_63 2752 256 R0
        END INSTANCE
        BEGIN BRANCH AdderInput1(15:0)
            WIRE 3040 336 3056 336
            BEGIN DISPLAY 3056 336 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH XLXN_177(15:0)
            WIRE 2720 208 2752 208
        END BRANCH
        BEGIN BRANCH PC(15:0)
            WIRE 2720 400 2752 400
            BEGIN DISPLAY 2720 400 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN INSTANCE XLXI_64 2336 176 R0
        END INSTANCE
        BEGIN BRANCH BOut(15:0)
            WIRE 2720 368 2752 368
            BEGIN DISPLAY 2720 368 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH BOut(15:0)
            WIRE 2720 336 2752 336
            BEGIN DISPLAY 2720 336 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH BOut(15:0)
            WIRE 2720 304 2752 304
            BEGIN DISPLAY 2720 304 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH AdderInputSelect(1:0)
            WIRE 2720 272 2752 272
            BEGIN DISPLAY 2720 272 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH XLXN_183(15:0)
            WIRE 2368 176 2752 176
        END BRANCH
        BEGIN BRANCH COut(15:0)
            WIRE 2720 144 2752 144
            BEGIN DISPLAY 2720 144 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH XLXN_186(15:0)
            WIRE 2720 112 2752 112
        END BRANCH
        BEGIN BRANCH AdderInputSelect(1:0)
            WIRE 2720 80 2752 80
            BEGIN DISPLAY 2720 80 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN INSTANCE XLXI_65 2336 16 R0
        END INSTANCE
        BEGIN INSTANCE XLXI_66 1984 208 R0
        END INSTANCE
        BEGIN BRANCH IR(3:0)
            WIRE 1952 176 1984 176
            BEGIN DISPLAY 1952 176 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN INSTANCE XLXI_69 2784 1200 R0
        END INSTANCE
        BEGIN BRANCH IR(7:0)
            WIRE 2736 1104 2784 1104
            BEGIN DISPLAY 2736 1104 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH AOut(7:0)
            WIRE 2736 1136 2784 1136
            BEGIN DISPLAY 2736 1136 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH LUIin(15:0)
            WIRE 3056 1120 3088 1120
            BEGIN DISPLAY 3088 1120 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN INSTANCE XLXI_70 2784 1328 R0
        END INSTANCE
        BEGIN BRANCH AOut(15:8)
            WIRE 2736 1232 2784 1232
            BEGIN DISPLAY 2736 1232 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH IR(7:0)
            WIRE 2736 1264 2784 1264
            BEGIN DISPLAY 2736 1264 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH LLIin(15:0)
            WIRE 3056 1248 3088 1248
            BEGIN DISPLAY 3088 1248 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN INSTANCE XLXI_71 560 768 R0
        END INSTANCE
        BEGIN BRANCH XLXN_196(15:0)
            WIRE 1040 1024 1104 1024
            WIRE 1104 848 1104 1024
            WIRE 1104 848 1360 848
        END BRANCH
        BEGIN INSTANCE EPC 160 1440 R0
            BEGIN DISPLAY 0 -128 ATTR InstName
                FONT 28 "Arial"
            END DISPLAY
        END INSTANCE
        BEGIN BRANCH EPCWEn
            WIRE 304 1424 304 1456
            BEGIN DISPLAY 304 1456 ATTR Name
                ALIGNMENT SOFT-VRIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH Clk
            WIRE 144 1392 160 1392
            BEGIN DISPLAY 144 1392 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH EPCOut(15:0)
            WIRE 464 1344 496 1344
            BEGIN DISPLAY 496 1344 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH PC(15:0)
            WIRE 128 1344 160 1344
            BEGIN DISPLAY 128 1344 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN INSTANCE InterruptFlag_ 304 2480 R0
            BEGIN DISPLAY 8 -144 ATTR InstName
                FONT 28 "Arial"
            END DISPLAY
        END INSTANCE
        BEGIN BRANCH InterruptFlag(15:0)
            WIRE 608 2384 640 2384
            BEGIN DISPLAY 640 2384 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH InterruptFlagIn(15:0)
            WIRE 272 2384 304 2384
            BEGIN DISPLAY 272 2384 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH Clk
            WIRE 288 2432 304 2432
            BEGIN DISPLAY 288 2432 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH IFWEn
            WIRE 448 2464 448 2480
            BEGIN DISPLAY 448 2480 ATTR Name
                ALIGNMENT SOFT-VRIGHT
            END DISPLAY
        END BRANCH
        BEGIN INSTANCE IR_ 336 608 R0
            BEGIN DISPLAY 0 -128 ATTR InstName
                FONT 28 "Arial"
            END DISPLAY
        END INSTANCE
        BEGIN BRANCH IR(15:0)
            WIRE 640 512 704 512
            BEGIN DISPLAY 704 512 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH IRWEn
            WIRE 480 592 480 608
            BEGIN DISPLAY 480 608 ATTR Name
                ALIGNMENT SOFT-VRIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH Clk
            WIRE 320 560 336 560
            BEGIN DISPLAY 320 560 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH MemOut(15:0)
            WIRE 272 512 336 512
            BEGIN DISPLAY 272 512 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN DISPLAY 108 136 TEXT Mach
            FONT 60 "Arial"
            TEXTCOLOR 255 0 0
        END DISPLAY
        BEGIN DISPLAY 428 256 TEXT "Processor Architecture"
            FONT 40 "Arial"
        END DISPLAY
        BEGIN BRANCH Clk
            WIRE 2944 896 2960 896
            BEGIN DISPLAY 2944 896 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN INSTANCE Sum_ 2960 960 R0
            BEGIN DISPLAY 0 -128 ATTR InstName
                FONT 28 "Arial"
            END DISPLAY
        END INSTANCE
        BEGIN BRANCH Sum(15:0)
            WIRE 3344 864 3376 864
            BEGIN DISPLAY 3376 864 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN INSTANCE XLXI_14 2624 784 R0
        END INSTANCE
        BEGIN BRANCH Subtract
            WIRE 2608 688 2624 688
            WIRE 2608 688 2608 736
            WIRE 2608 736 2640 736
            BEGIN DISPLAY 2640 736 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH AdderInput0(15:0)
            WIRE 2592 624 2624 624
            BEGIN DISPLAY 2592 624 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH AdderInput1(15:0)
            WIRE 2592 656 2624 656
            BEGIN DISPLAY 2592 656 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH AddOut(15:0)
            WIRE 2896 752 2896 864
            WIRE 2896 864 2960 864
            WIRE 2896 752 3008 752
            WIRE 3008 752 3184 752
            WIRE 3008 624 3184 624
            WIRE 3184 624 3184 752
            BEGIN DISPLAY 3008 752 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH AdderZero
            WIRE 3008 672 3040 672
            BEGIN DISPLAY 3040 672 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH OROutout(15:0)
            WIRE 2832 1424 2896 1424
            BEGIN DISPLAY 2896 1424 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH BOut(15:0)
            WIRE 2576 1408 2592 1408
            BEGIN DISPLAY 2576 1408 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH COut(15:0)
            WIRE 2576 1440 2592 1440
            BEGIN DISPLAY 2576 1440 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN INSTANCE XLXI_67 2592 1360 R0
        END INSTANCE
        BEGIN CIRCLE N 252 68 412 228 
            LINECOLOR 255 0 0
            FILLCOLOR 255 0 0
            FILLSTYLE Solid
        END CIRCLE
        BEGIN DISPLAY 292 148 TEXT 5
            FONT 180 "Arial"
            TEXTCOLOR 255 255 0
        END DISPLAY
        RECTANGLE N 20 24 840 364 
        BEGIN BRANCH MemoryReadAddress(15:0)
            WIRE 1136 1808 1296 1808
            WIRE 1296 1808 1456 1808
            WIRE 1456 1808 1456 1904
            WIRE 1456 1904 1552 1904
            BEGIN DISPLAY 1296 1808 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH XLXN_19(15:0)
            WIRE 512 2000 544 2000
        END BRANCH
        BEGIN BRANCH AddOut(15:0)
            WIRE 208 2064 224 2064
            BEGIN DISPLAY 208 2064 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH COut(15:0)
            WIRE 208 2032 224 2032
            BEGIN DISPLAY 208 2032 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH XLXN_33(15:0)
            WIRE 176 1952 208 1952
            WIRE 208 1952 208 1968
            WIRE 208 1968 224 1968
        END BRANCH
        BEGIN BRANCH EPCOut(15:0)
            WIRE 160 2000 224 2000
            BEGIN DISPLAY 160 2000 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN INSTANCE PC_ 544 2096 R0
            BEGIN DISPLAY 0 -128 ATTR InstName
                FONT 28 "Arial"
            END DISPLAY
        END INSTANCE
        BEGIN BRANCH PC(15:0)
            WIRE 848 2000 928 2000
            BEGIN DISPLAY 928 2000 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH PCWEn
            WIRE 688 2080 688 2112
            BEGIN DISPLAY 688 2112 ATTR Name
                ALIGNMENT SOFT-VRIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH Clk
            WIRE 528 2048 544 2048
            BEGIN DISPLAY 528 2048 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH PCInputSelect(1:0)
            WIRE 208 1888 208 1936
            WIRE 208 1936 224 1936
            WIRE 208 1888 256 1888
            BEGIN DISPLAY 256 1888 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN INSTANCE XLXI_13 224 1920 R0
        END INSTANCE
        BEGIN INSTANCE XLXI_24 2064 2624 R0
        END INSTANCE
        BEGIN BRANCH IR(4:0)
            WIRE 2016 2336 2064 2336
            BEGIN DISPLAY 2016 2336 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH SPRegWEn
            WIRE 2048 2368 2064 2368
            BEGIN DISPLAY 2048 2368 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN INSTANCE XLXI_86 1456 2272 R0
        END INSTANCE
        BEGIN BRANCH MemWEn
            WIRE 1520 1936 1536 1936
            WIRE 1536 1936 1552 1936
            BEGIN DISPLAY 1520 1936 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN INSTANCE XLXI_12 1552 2128 R0
        END INSTANCE
        BEGIN BRANCH Clk
            WIRE 1536 2032 1552 2032
            BEGIN DISPLAY 1536 2032 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH AOut(15:0)
            WIRE 1536 2000 1552 2000
            BEGIN DISPLAY 1536 2000 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH Sum(15:0)
            WIRE 1536 1968 1552 1968
            BEGIN DISPLAY 1536 1968 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH MemOut(15:0)
            WIRE 1936 1904 1968 1904
            WIRE 1968 1904 1984 1904
            BEGIN DISPLAY 1984 1904 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH IR(15:12)
            WIRE 1424 1088 1456 1088
            BEGIN DISPLAY 1424 1088 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH IR(7)
            WIRE 1440 1120 1456 1120
            BEGIN DISPLAY 1440 1120 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH ComparatorResult
            WIRE 1376 1200 1424 1200
            WIRE 1424 1152 1456 1152
            WIRE 1424 1152 1424 1200
            BEGIN DISPLAY 1376 1200 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH Clk
            WIRE 1440 1648 1456 1648
            BEGIN DISPLAY 1440 1648 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH PCWEn
            WIRE 1952 1072 1968 1072
            BEGIN DISPLAY 1968 1072 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH EPCWEn
            WIRE 1952 1104 1968 1104
            BEGIN DISPLAY 1968 1104 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH IRWEn
            WIRE 1952 1136 1968 1136
            BEGIN DISPLAY 1968 1136 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH AWEn
            WIRE 1952 1168 1968 1168
            BEGIN DISPLAY 1968 1168 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH BWEn
            WIRE 1952 1200 1968 1200
            BEGIN DISPLAY 1968 1200 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH CWEn
            WIRE 1952 1232 1968 1232
            BEGIN DISPLAY 1968 1232 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH RegWEn
            WIRE 1952 1264 1968 1264
            BEGIN DISPLAY 1968 1264 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH SPRegWEn
            WIRE 1952 1296 1968 1296
            BEGIN DISPLAY 1968 1296 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH MemWEn
            WIRE 1952 1328 1968 1328
            BEGIN DISPLAY 1968 1328 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH PCInputSelect(1:0)
            WIRE 1952 1360 1968 1360
            BEGIN DISPLAY 1968 1360 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH SPRegisterWriteSource(1:0)
            WIRE 1952 1392 1968 1392
            BEGIN DISPLAY 1968 1392 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH MemoryReadAddressSelect(1:0)
            WIRE 1952 1424 1968 1424
            BEGIN DISPLAY 1968 1424 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH AdderInputSelect(1:0)
            WIRE 1952 1456 1968 1456
            BEGIN DISPLAY 1968 1456 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH Subtract
            WIRE 1952 1488 1968 1488
            BEGIN DISPLAY 1968 1488 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH RegisterReadMode
            WIRE 1952 1520 1968 1520
            BEGIN DISPLAY 1968 1520 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH RegisterWriteDataSourceSelect(2:0)
            WIRE 1952 1552 1968 1552
            BEGIN DISPLAY 1968 1552 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH InterruptFlagIn(15:0)
            WIRE 1952 1584 1968 1584
            BEGIN DISPLAY 1968 1584 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH IFWEn
            WIRE 1952 1616 1968 1616
            BEGIN DISPLAY 1968 1616 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN INSTANCE XLXI_96 -208 1856 R0
        END INSTANCE
        RECTANGLE N 24 36 836 352 
        BEGIN RECTANGLE N 56 292 816 336 
            LINECOLOR 255 255 255
            FILLCOLOR 255 255 255
            FILLSTYLE Solid
        END RECTANGLE
        BEGIN DISPLAY 48 308 TEXT "1-04 [Builta, Kaffenberger, LaRocca, Mariani]"
            FONT 32 "Courier New"
        END DISPLAY
        BEGIN INSTANCE XLXI_97 1360 1152 R0
        END INSTANCE
        BEGIN BRANCH XLXN_238(4:0)
            WIRE 1216 2144 1232 2144
            WIRE 1232 2144 1312 2144
            WIRE 1312 2144 1312 2160
            WIRE 1312 2160 1408 2160
        END BRANCH
        BEGIN BRANCH Clk
            WIRE 2032 2496 2064 2496
            BEGIN DISPLAY 2032 2496 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH SPRegReadData(15:0)
            WIRE 2448 2336 2464 2336
            WIRE 2464 2336 2544 2336
            BEGIN DISPLAY 2544 2336 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH Switches(15:0)
            WIRE 2032 2464 2064 2464
        END BRANCH
        BEGIN BRANCH ButtonIn(5:0)
            WIRE 1280 1248 1440 1248
            WIRE 1440 1184 1456 1184
            WIRE 1440 1184 1440 1216
            WIRE 1440 1216 1440 1248
        END BRANCH
        IOMARKER 1280 1248 ButtonIn(5:0) R180 28
        IOMARKER 2032 2464 Switches(15:0) R180 28
        BEGIN BRANCH Display0(15:0)
            WIRE 2448 2368 2464 2368
        END BRANCH
        BEGIN BRANCH Display1(15:0)
            WIRE 2448 2400 2464 2400
        END BRANCH
        BEGIN BRANCH Display2(15:0)
            WIRE 2448 2432 2464 2432
        END BRANCH
        BEGIN BRANCH Display3(15:0)
            WIRE 2448 2464 2464 2464
        END BRANCH
        IOMARKER 2464 2368 Display0(15:0) R0 28
        IOMARKER 2464 2400 Display1(15:0) R0 28
        IOMARKER 2464 2432 Display2(15:0) R0 28
        IOMARKER 2464 2464 Display3(15:0) R0 28
        BEGIN BRANCH Reset
            WIRE 1408 1680 1456 1680
            BEGIN DISPLAY 1408 1680 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH Reset
            WIRE 1488 2064 1504 2064
            WIRE 1504 2064 1552 2064
            BEGIN DISPLAY 1488 2064 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH Clk
            WIRE 816 1472 944 1472
            BEGIN DISPLAY 944 1472 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH Reset
            WIRE 816 1536 944 1536
            BEGIN DISPLAY 944 1536 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        IOMARKER 816 1472 Clk R180 28
        IOMARKER 816 1536 Reset R180 28
        BEGIN BRANCH PC(15:0)
            WIRE 3024 2496 3056 2496
        END BRANCH
        IOMARKER 3056 2496 PC(15:0) R0 28
        BEGIN BRANCH AOut(15:0)
            WIRE 3024 2528 3056 2528
        END BRANCH
        IOMARKER 3056 2528 AOut(15:0) R0 28
        BEGIN BRANCH BOut(15:0)
            WIRE 3024 2560 3056 2560
        END BRANCH
        IOMARKER 3056 2560 BOut(15:0) R0 28
        BEGIN BRANCH COut(15:0)
            WIRE 3024 2592 3056 2592
        END BRANCH
        IOMARKER 3056 2592 COut(15:0) R0 28
        BEGIN BRANCH IR(15:0)
            WIRE 3024 2624 3056 2624
        END BRANCH
        IOMARKER 3056 2624 IR(15:0) R0 28
        BEGIN BRANCH BOut(15:0)
            WIRE 2832 1776 2848 1776
            WIRE 2848 1776 2880 1776
            BEGIN DISPLAY 2832 1776 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH BOut(15:0)
            WIRE 2160 784 2176 784
            BEGIN DISPLAY 2176 784 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH XLXN_118(4:0)
            WIRE 1632 2192 1792 2192
            WIRE 1792 2192 1792 2400
            WIRE 1792 2400 2048 2400
            WIRE 2048 2400 2064 2400
        END BRANCH
        BEGIN BRANCH IR(4:0)
            WIRE 1376 2256 1392 2256
            WIRE 1392 2256 1408 2256
            BEGIN DISPLAY 1376 2256 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH XLXN_237(4:0)
            WIRE 1216 2240 1232 2240
            WIRE 1232 2240 1312 2240
            WIRE 1312 2224 1312 2240
            WIRE 1312 2224 1408 2224
        END BRANCH
        BEGIN BRANCH SPRegisterWriteSource(1:0)
            WIRE 1312 2096 1328 2096
            WIRE 1328 2096 1328 2128
            WIRE 1328 2128 1408 2128
            BEGIN DISPLAY 1312 2096 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN INSTANCE XLXI_40 1408 2096 R0
        END INSTANCE
        BEGIN INSTANCE XLXI_100 2880 1872 R0
        END INSTANCE
        BEGIN BRANCH LTEngineResult
            WIRE 3264 1776 3296 1776
            BEGIN DISPLAY 3296 1776 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH RegisterWriteDataSourceSelect(2:0)
            WIRE 736 896 784 896
            BEGIN DISPLAY 736 896 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH MemOut(15:0)
            WIRE 736 992 784 992
            BEGIN DISPLAY 736 992 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH LLIin(15:0)
            WIRE 736 1024 784 1024
            BEGIN DISPLAY 736 1024 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH LUIin(15:0)
            WIRE 736 1056 784 1056
            BEGIN DISPLAY 736 1056 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH OROutout(15:0)
            WIRE 736 928 784 928
            BEGIN DISPLAY 736 928 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH Sum(15:0)
            WIRE 736 960 784 960
            BEGIN DISPLAY 736 960 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH SPRegReadData(15:0)
            WIRE 736 1088 784 1088
            BEGIN DISPLAY 736 1088 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN INSTANCE XLXI_73 784 880 R0
        END INSTANCE
        BEGIN BRANCH ShiftOut(15:0)
            WIRE 736 1152 784 1152
            BEGIN DISPLAY 736 1152 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH XLXN_236(15:0)
            WIRE 496 1120 768 1120
            WIRE 768 1120 784 1120
        END BRANCH
        BEGIN BRANCH LTEngineResult
            WIRE 192 1120 208 1120
            BEGIN DISPLAY 192 1120 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN INSTANCE XLXI_80 208 1088 R0
        END INSTANCE
        BEGIN BRANCH Clk
            WIRE 1328 880 1360 880
            BEGIN DISPLAY 1328 880 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH Reset
            WIRE 1328 912 1360 912
            BEGIN DISPLAY 1328 912 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH Reset
            WIRE 2016 2528 2064 2528
            BEGIN DISPLAY 2016 2528 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH ComparatorResult
            WIRE 3024 2464 3056 2464
        END BRANCH
        IOMARKER 3056 2464 ComparatorResult R0 28
        BEGIN BRANCH PC(15:0)
            WIRE 784 1872 848 1872
            BEGIN DISPLAY 784 1872 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH MemoryReadAddressSelect(1:0)
            WIRE 784 1744 848 1744
            BEGIN DISPLAY 784 1744 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH Sum(15:0)
            WIRE 784 1840 848 1840
            BEGIN DISPLAY 784 1840 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH PC(15:0)
            WIRE 784 1808 848 1808
            BEGIN DISPLAY 784 1808 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH Sum(15:0)
            WIRE 784 1776 848 1776
            BEGIN DISPLAY 784 1776 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN INSTANCE XLXI_10 848 1728 R0
        END INSTANCE
        BEGIN BRANCH MemoryReadAddress(15:0)
            WIRE 3024 2432 3056 2432
        END BRANCH
        IOMARKER 3056 2432 MemoryReadAddress(15:0) R0 28
        BEGIN BRANCH MemOut(15:0)
            WIRE 3024 2656 3056 2656
        END BRANCH
        IOMARKER 3056 2656 MemOut(15:0) R0 28
        BEGIN BRANCH InterruptEnabled
            WIRE 1952 1712 1968 1712
        END BRANCH
        IOMARKER 1968 1712 InterruptEnabled R0 28
        BEGIN BRANCH IRWEn
            WIRE 3024 2400 3056 2400
        END BRANCH
        IOMARKER 3056 2400 IRWEn R0 28
    END SHEET
END SCHEMATIC
