VERSION 6
BEGIN SCHEMATIC
    BEGIN ATTR DeviceFamilyName "spartan2e"
        DELETE all:0
        EDITNAME all:0
        EDITTRAIT all:0
    END ATTR
    BEGIN NETLIST
        SIGNAL WE
        SIGNAL Clk
        SIGNAL WD(15:0)
        SIGNAL WA(15:0)
        SIGNAL RA(15:0)
        SIGNAL RD(15:0)
        SIGNAL Reset
        PORT Input WE
        PORT Input Clk
        PORT Input WD(15:0)
        PORT Input WA(15:0)
        PORT Input RA(15:0)
        PORT Output RD(15:0)
        PORT Input Reset
        BEGIN BLOCKDEF ByteRam
            TIMESTAMP 2005 11 13 5 48 34
            RECTANGLE N 64 -384 320 0 
            LINE N 64 -352 0 -352 
            LINE N 64 -288 0 -288 
            LINE N 64 -224 0 -224 
            RECTANGLE N 0 -172 64 -148 
            LINE N 64 -160 0 -160 
            RECTANGLE N 0 -108 64 -84 
            LINE N 64 -96 0 -96 
            RECTANGLE N 0 -44 64 -20 
            LINE N 64 -32 0 -32 
            RECTANGLE N 320 -44 384 -20 
            LINE N 320 -32 384 -32 
        END BLOCKDEF
        BEGIN BLOCK XLXI_1 ByteRam
            PIN MemWrite WE
            PIN Reset Reset
            PIN CLK Clk
            PIN WriteData(15:0) WD(15:0)
            PIN WriteAddress(15:0) WA(15:0)
            PIN ReadAddress(15:0) RA(15:0)
            PIN MemData(15:0) RD(15:0)
        END BLOCK
    END NETLIST
    BEGIN SHEET 1 3520 2720
        BEGIN INSTANCE XLXI_1 1600 1488 R0
        END INSTANCE
        BEGIN BRANCH WE
            WIRE 1360 1136 1456 1136
            WIRE 1456 1136 1600 1136
            BEGIN DISPLAY 1456 1136 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        IOMARKER 1360 1136 WE R180 28
        BEGIN BRANCH Clk
            WIRE 1360 1264 1520 1264
            WIRE 1520 1264 1600 1264
            BEGIN DISPLAY 1520 1264 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        IOMARKER 1360 1264 Clk R180 28
        BEGIN BRANCH WD(15:0)
            WIRE 1360 1328 1472 1328
            WIRE 1472 1328 1600 1328
            BEGIN DISPLAY 1472 1328 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        IOMARKER 1360 1328 WD(15:0) R180 28
        BEGIN BRANCH WA(15:0)
            WIRE 1360 1392 1472 1392
            WIRE 1472 1392 1600 1392
            BEGIN DISPLAY 1472 1392 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        IOMARKER 1360 1392 WA(15:0) R180 28
        BEGIN BRANCH RA(15:0)
            WIRE 1360 1456 1488 1456
            WIRE 1488 1456 1600 1456
            BEGIN DISPLAY 1488 1456 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        IOMARKER 1360 1456 RA(15:0) R180 28
        BEGIN BRANCH RD(15:0)
            WIRE 1984 1456 2048 1456
            WIRE 2048 1456 2192 1456
            BEGIN DISPLAY 2048 1456 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        IOMARKER 2192 1456 RD(15:0) R0 28
        BEGIN BRANCH Reset
            WIRE 1360 1200 1600 1200
        END BRANCH
        IOMARKER 1360 1200 Reset R180 28
    END SHEET
END SCHEMATIC
