VERSION 6
BEGIN SCHEMATIC
    BEGIN ATTR DeviceFamilyName "spartan2e"
        DELETE all:0
        EDITNAME all:0
        EDITTRAIT all:0
    END ATTR
    BEGIN NETLIST
        SIGNAL Input(3:0)
        SIGNAL Intermediate(7)
        SIGNAL Intermediate(8)
        SIGNAL Intermediate(9)
        SIGNAL Intermediate(10)
        SIGNAL Intermediate(11)
        SIGNAL Intermediate(6)
        SIGNAL Input(0)
        SIGNAL Intermediate(0)
        SIGNAL Input(1)
        SIGNAL Intermediate(1)
        SIGNAL Input(2)
        SIGNAL Intermediate(2)
        SIGNAL Input(3)
        SIGNAL Intermediate(3)
        SIGNAL Intermediate(4)
        SIGNAL Intermediate(5)
        SIGNAL Intermediate(11:0)
        SIGNAL Output(15:0)
        PORT Input Input(3:0)
        PORT Output Output(15:0)
        BEGIN BLOCKDEF buf
            TIMESTAMP 2001 2 2 12 51 12
            LINE N 0 -32 64 -32 
            LINE N 224 -32 128 -32 
            LINE N 64 0 128 -32 
            LINE N 128 -32 64 -64 
            LINE N 64 -64 64 0 
        END BLOCKDEF
        BEGIN BLOCKDEF SignExtend12
            TIMESTAMP 2005 10 18 15 44 44
            RECTANGLE N 64 -64 320 0 
            RECTANGLE N 0 -44 64 -20 
            LINE N 64 -32 0 -32 
            RECTANGLE N 320 -44 384 -20 
            LINE N 320 -32 384 -32 
        END BLOCKDEF
        BEGIN BLOCK XLXI_13 SignExtend12
            PIN Input(11:0) Intermediate(11:0)
            PIN Output(15:0) Output(15:0)
        END BLOCK
        BEGIN BLOCK XLXI_20 buf
            PIN I Input(3)
            PIN O Intermediate(7)
        END BLOCK
        BEGIN BLOCK XLXI_21 buf
            PIN I Input(3)
            PIN O Intermediate(8)
        END BLOCK
        BEGIN BLOCK XLXI_22 buf
            PIN I Input(3)
            PIN O Intermediate(9)
        END BLOCK
        BEGIN BLOCK XLXI_23 buf
            PIN I Input(3)
            PIN O Intermediate(10)
        END BLOCK
        BEGIN BLOCK XLXI_24 buf
            PIN I Input(3)
            PIN O Intermediate(11)
        END BLOCK
        BEGIN BLOCK XLXI_19 buf
            PIN I Input(3)
            PIN O Intermediate(6)
        END BLOCK
        BEGIN BLOCK XLXI_12 buf
            PIN I Input(0)
            PIN O Intermediate(0)
        END BLOCK
        BEGIN BLOCK XLXI_14 buf
            PIN I Input(1)
            PIN O Intermediate(1)
        END BLOCK
        BEGIN BLOCK XLXI_15 buf
            PIN I Input(2)
            PIN O Intermediate(2)
        END BLOCK
        BEGIN BLOCK XLXI_16 buf
            PIN I Input(3)
            PIN O Intermediate(3)
        END BLOCK
        BEGIN BLOCK XLXI_17 buf
            PIN I Input(3)
            PIN O Intermediate(4)
        END BLOCK
        BEGIN BLOCK XLXI_18 buf
            PIN I Input(3)
            PIN O Intermediate(5)
        END BLOCK
    END NETLIST
    BEGIN SHEET 1 3520 2720
        BEGIN BRANCH Input(3:0)
            WIRE 560 1296 768 1296
        END BRANCH
        IOMARKER 560 1296 Input(3:0) R180 28
        BEGIN INSTANCE XLXI_13 2448 896 R0
        END INSTANCE
        INSTANCE XLXI_21 1424 656 R0
        BEGIN BRANCH Input(3)
            WIRE 1392 624 1424 624
            BEGIN DISPLAY 1392 624 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH Intermediate(8)
            WIRE 1648 624 1680 624
            BEGIN DISPLAY 1680 624 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        INSTANCE XLXI_22 1424 560 R0
        BEGIN BRANCH Input(3)
            WIRE 1392 528 1424 528
            BEGIN DISPLAY 1392 528 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH Intermediate(9)
            WIRE 1648 528 1680 528
            BEGIN DISPLAY 1680 528 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        INSTANCE XLXI_23 1424 464 R0
        BEGIN BRANCH Input(3)
            WIRE 1392 432 1424 432
            BEGIN DISPLAY 1392 432 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH Intermediate(10)
            WIRE 1648 432 1680 432
            BEGIN DISPLAY 1680 432 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        INSTANCE XLXI_24 1424 368 R0
        BEGIN BRANCH Input(3)
            WIRE 1392 336 1424 336
            BEGIN DISPLAY 1392 336 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH Intermediate(11)
            WIRE 1648 336 1680 336
            BEGIN DISPLAY 1680 336 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        INSTANCE XLXI_20 1424 768 R0
        BEGIN BRANCH Input(3)
            WIRE 1408 736 1424 736
            BEGIN DISPLAY 1408 736 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH Intermediate(7)
            WIRE 1648 736 1696 736
            BEGIN DISPLAY 1696 736 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        INSTANCE XLXI_19 1424 848 R0
        BEGIN BRANCH Input(3)
            WIRE 1392 816 1424 816
            BEGIN DISPLAY 1392 816 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH Intermediate(6)
            WIRE 1648 816 1680 816
            BEGIN DISPLAY 1680 816 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        INSTANCE XLXI_12 1424 1472 R0
        BEGIN BRANCH Input(0)
            WIRE 1392 1440 1424 1440
            BEGIN DISPLAY 1392 1440 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH Intermediate(0)
            WIRE 1648 1440 1680 1440
            BEGIN DISPLAY 1680 1440 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        INSTANCE XLXI_14 1424 1360 R0
        BEGIN BRANCH Input(1)
            WIRE 1392 1328 1424 1328
            BEGIN DISPLAY 1392 1328 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH Intermediate(1)
            WIRE 1648 1328 1680 1328
            BEGIN DISPLAY 1680 1328 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        INSTANCE XLXI_15 1424 1264 R0
        BEGIN BRANCH Input(2)
            WIRE 1392 1232 1424 1232
            BEGIN DISPLAY 1392 1232 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH Intermediate(2)
            WIRE 1648 1232 1680 1232
            BEGIN DISPLAY 1680 1232 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        INSTANCE XLXI_16 1424 1168 R0
        BEGIN BRANCH Input(3)
            WIRE 1392 1136 1424 1136
            BEGIN DISPLAY 1392 1136 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH Intermediate(3)
            WIRE 1648 1136 1680 1136
            BEGIN DISPLAY 1680 1136 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        INSTANCE XLXI_17 1424 1056 R0
        BEGIN BRANCH Input(3)
            WIRE 1392 1024 1424 1024
            BEGIN DISPLAY 1392 1024 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH Intermediate(4)
            WIRE 1648 1024 1680 1024
            BEGIN DISPLAY 1680 1024 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        INSTANCE XLXI_18 1424 944 R0
        BEGIN BRANCH Input(3)
            WIRE 1392 912 1424 912
            BEGIN DISPLAY 1392 912 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH Intermediate(5)
            WIRE 1648 912 1680 912
            BEGIN DISPLAY 1680 912 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH Intermediate(11:0)
            WIRE 2384 864 2448 864
            BEGIN DISPLAY 2384 864 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH Output(15:0)
            WIRE 2832 864 2880 864
        END BRANCH
        IOMARKER 2880 864 Output(15:0) R0 28
    END SHEET
END SCHEMATIC
