VERSION 6
BEGIN SCHEMATIC
    BEGIN ATTR DeviceFamilyName "spartan2e"
        DELETE all:0
        EDITNAME all:0
        EDITTRAIT all:0
    END ATTR
    BEGIN NETLIST
        SIGNAL A(15:0)
        SIGNAL B(15:0)
        SIGNAL a_lt_b
        SIGNAL XLXN_4
        SIGNAL XLXN_5
        SIGNAL XLXN_6
        SIGNAL A(15)
        SIGNAL B(15)
        SIGNAL XLXN_11
        SIGNAL C(15)
        SIGNAL C(15:0)
        PORT Input A(15:0)
        PORT Input B(15:0)
        PORT Output a_lt_b
        BEGIN BLOCKDEF muxcy
            TIMESTAMP 2001 2 2 12 51 24
            LINE N 192 0 192 -64 
            LINE N 192 -224 192 -160 
            LINE N 96 -160 32 -64 
            LINE N 224 -160 96 -160 
            LINE N 288 -64 224 -160 
            LINE N 32 -64 288 -64 
            LINE N 128 0 128 -64 
            LINE N 0 -96 56 -96 
        END BLOCKDEF
        BEGIN BLOCKDEF and2
            TIMESTAMP 2001 2 2 12 53 52
            LINE N 0 -64 64 -64 
            LINE N 0 -128 64 -128 
            LINE N 256 -96 192 -96 
            ARC N 96 -144 192 -48 144 -48 144 -144 
            LINE N 144 -48 64 -48 
            LINE N 64 -144 144 -144 
            LINE N 64 -48 64 -144 
        END BLOCKDEF
        BEGIN BLOCKDEF and2b2
            TIMESTAMP 2001 2 2 12 53 52
            LINE N 0 -64 40 -64 
            CIRCLE N 40 -76 64 -52 
            LINE N 0 -128 40 -128 
            CIRCLE N 40 -140 64 -116 
            LINE N 256 -96 192 -96 
            ARC N 96 -144 192 -48 144 -48 144 -144 
            LINE N 64 -48 64 -144 
            LINE N 144 -48 64 -48 
            LINE N 64 -144 144 -144 
        END BLOCKDEF
        BEGIN BLOCKDEF or2
            TIMESTAMP 2001 2 2 12 53 52
            LINE N 0 -64 64 -64 
            LINE N 0 -128 64 -128 
            LINE N 256 -96 192 -96 
            ARC N 28 -224 204 -48 112 -48 192 -96 
            ARC N -40 -152 72 -40 48 -48 48 -144 
            LINE N 112 -144 48 -144 
            ARC N 28 -144 204 32 192 -96 112 -144 
            LINE N 112 -48 48 -48 
        END BLOCKDEF
        BEGIN BLOCKDEF addsub16
            TIMESTAMP 2005 10 25 2 2 16
            RECTANGLE N 32 0 448 384 
            LINE N 0 48 32 48 
            BEGIN LINE W 0 176 32 176 
            END LINE
            BEGIN LINE W 0 80 32 80 
            END LINE
            LINE N 448 48 480 48 
            BEGIN LINE W 448 144 480 144 
            END LINE
        END BLOCKDEF
        BEGIN BLOCKDEF gnd
            TIMESTAMP 2001 2 2 12 52 44
            LINE N 64 -64 64 -96 
            LINE N 76 -48 52 -48 
            LINE N 68 -32 60 -32 
            LINE N 88 -64 40 -64 
            LINE N 64 -64 64 -80 
            LINE N 64 -128 64 -96 
        END BLOCKDEF
        BEGIN BLOCK XLXI_1 muxcy
            PIN CI C(15)
            PIN DI A(15)
            PIN S XLXN_6
            PIN O a_lt_b
        END BLOCK
        BEGIN BLOCK XLXI_2 and2
            PIN I0 B(15)
            PIN I1 A(15)
            PIN O XLXN_4
        END BLOCK
        BEGIN BLOCK XLXI_3 and2b2
            PIN I0 B(15)
            PIN I1 A(15)
            PIN O XLXN_5
        END BLOCK
        BEGIN BLOCK XLXI_4 or2
            PIN I0 XLXN_5
            PIN I1 XLXN_4
            PIN O XLXN_6
        END BLOCK
        BEGIN BLOCK XLXI_5 addsub16
            PIN ADD XLXN_11
            PIN B(15:0) B(15:0)
            PIN A(15:0) A(15:0)
            PIN OVFL
            PIN S(15:0) C(15:0)
        END BLOCK
        BEGIN BLOCK XLXI_6 gnd
            PIN G XLXN_11
        END BLOCK
    END NETLIST
    BEGIN SHEET 1 3520 2720
        BEGIN BRANCH A(15:0)
            WIRE 496 656 768 656
        END BRANCH
        BEGIN BRANCH B(15:0)
            WIRE 496 768 768 768
        END BRANCH
        INSTANCE XLXI_1 2368 672 R90
        BEGIN BRANCH a_lt_b
            WIRE 2592 864 2688 864
        END BRANCH
        INSTANCE XLXI_2 1904 320 R0
        INSTANCE XLXI_3 1904 448 R0
        INSTANCE XLXI_4 2208 384 R0
        BEGIN BRANCH XLXN_4
            WIRE 2160 224 2176 224
            WIRE 2176 224 2176 256
            WIRE 2176 256 2208 256
        END BRANCH
        BEGIN BRANCH XLXN_5
            WIRE 2160 352 2176 352
            WIRE 2176 320 2176 352
            WIRE 2176 320 2208 320
        END BRANCH
        BEGIN BRANCH XLXN_6
            WIRE 2464 288 2528 288
            WIRE 2528 288 2528 400
            WIRE 2464 400 2528 400
            WIRE 2464 400 2464 672
        END BRANCH
        BEGIN BRANCH A(15)
            WIRE 1824 224 1888 224
            WIRE 1888 224 1888 320
            WIRE 1888 320 1904 320
            WIRE 1888 192 1904 192
            WIRE 1888 192 1888 224
            BEGIN DISPLAY 1824 224 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH B(15)
            WIRE 1824 336 1872 336
            WIRE 1872 336 1872 384
            WIRE 1872 384 1904 384
            WIRE 1872 256 1904 256
            WIRE 1872 256 1872 336
            BEGIN DISPLAY 1824 336 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH A(15)
            WIRE 2304 800 2368 800
            BEGIN DISPLAY 2304 800 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN INSTANCE XLXI_5 1552 736 R0
        END INSTANCE
        BEGIN BRANCH XLXN_11
            WIRE 1504 784 1552 784
        END BRANCH
        BEGIN BRANCH A(15:0)
            WIRE 1504 816 1552 816
            BEGIN DISPLAY 1504 816 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH B(15:0)
            WIRE 1504 912 1552 912
            BEGIN DISPLAY 1504 912 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH C(15:0)
            WIRE 2032 880 2080 880
            BEGIN DISPLAY 2080 880 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH C(15)
            WIRE 2320 864 2368 864
            BEGIN DISPLAY 2320 864 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        INSTANCE XLXI_6 1568 656 R180
        IOMARKER 2688 864 a_lt_b R0 28
        IOMARKER 496 656 A(15:0) R180 28
        IOMARKER 496 768 B(15:0) R180 28
    END SHEET
END SCHEMATIC
