library verilog;
use verilog.vl_types.all;
entity ChidRegFile is
    generic(
        NUM_REGS        : integer := 16
    );
    port(
        ReadReg1        : in     vl_logic_vector(3 downto 0);
        ReadReg2        : in     vl_logic_vector(3 downto 0);
        ReadReg3        : in     vl_logic_vector(3 downto 0);
        WriteReg        : in     vl_logic_vector(3 downto 0);
        WriteData       : in     vl_logic_vector(15 downto 0);
        RegWrite        : in     vl_logic;
        ReadData1       : out    vl_logic_vector(15 downto 0);
        ReadData2       : out    vl_logic_vector(15 downto 0);
        ReadData3       : out    vl_logic_vector(15 downto 0);
        Reset           : in     vl_logic;
        CLK             : in     vl_logic
    );
end ChidRegFile;
