library verilog;
use verilog.vl_types.all;
entity ControlUnit is
    port(
        ButtonIn        : in     vl_logic_vector(5 downto 0);
        Clk             : in     vl_logic;
        ComparatorResult: in     vl_logic;
        InstMod         : in     vl_logic;
        Instruction     : in     vl_logic_vector(3 downto 0);
        Reset           : in     vl_logic;
        AdderInputSelect: out    vl_logic_vector(1 downto 0);
        AdderMode       : out    vl_logic;
        AWen            : out    vl_logic;
        BWen            : out    vl_logic;
        CWen            : out    vl_logic;
        EPCWen          : out    vl_logic;
        IFWEn           : out    vl_logic;
        InterruptEnabled: out    vl_logic;
        InterruptFlag   : out    vl_logic_vector(15 downto 0);
        IRWen           : out    vl_logic;
        MemoryReadAddressSelect: out    vl_logic_vector(1 downto 0);
        MemWen          : out    vl_logic;
        PCInputSelect   : out    vl_logic_vector(1 downto 0);
        PCWen           : out    vl_logic;
        RegisterReadMode: out    vl_logic;
        RegisterWriteDataSourceSelect: out    vl_logic_vector(2 downto 0);
        RegWen          : out    vl_logic;
        SPRegisterWriteSource: out    vl_logic_vector(1 downto 0);
        SPRegWen        : out    vl_logic
    );
end ControlUnit;
