VERSION 6
BEGIN SCHEMATIC
    BEGIN ATTR DeviceFamilyName "spartan2e"
        DELETE all:0
        EDITNAME all:0
        EDITTRAIT all:0
    END ATTR
    BEGIN NETLIST
        SIGNAL Input(15:0)
        SIGNAL XLXN_3
        SIGNAL Zero(15:8)
        SIGNAL Input(15:8)
        SIGNAL Input(7:0)
        SIGNAL Zero(7:0)
        SIGNAL Zero(15:0)
        SIGNAL Temp(7:0)
        SIGNAL Output(23:16)
        SIGNAL Output(15:8)
        SIGNAL Output(7:0)
        SIGNAL Output(30:0)
        SIGNAL Temp(0)
        SIGNAL Temp(1)
        SIGNAL Temp(2)
        SIGNAL Temp(3)
        SIGNAL Temp(4)
        SIGNAL Temp(5)
        SIGNAL Temp(6)
        SIGNAL Temp(7)
        SIGNAL Output(30)
        SIGNAL Output(29)
        SIGNAL Output(28)
        SIGNAL Output(27)
        SIGNAL Output(26)
        SIGNAL Output(25)
        SIGNAL Output(24)
        PORT Input Input(15:0)
        PORT Output Output(30:0)
        BEGIN BLOCKDEF bufe8
            TIMESTAMP 2001 2 2 12 51 12
            RECTANGLE N 128 -44 224 -20 
            LINE N 0 -32 64 -32 
            LINE N 0 -96 64 -96 
            LINE N 64 -64 64 0 
            LINE N 128 -32 64 -64 
            LINE N 64 0 128 -32 
            RECTANGLE N 0 -44 64 -20 
            LINE N 224 -32 128 -32 
            LINE N 96 -96 64 -96 
            LINE N 96 -48 96 -96 
        END BLOCKDEF
        BEGIN BLOCKDEF vcc
            TIMESTAMP 2001 2 2 12 52 44
            LINE N 64 -32 64 -64 
            LINE N 64 0 64 -32 
            LINE N 96 -64 32 -64 
        END BLOCKDEF
        BEGIN BLOCKDEF zero
            TIMESTAMP 2005 10 25 2 2 15
            RECTANGLE N 320 84 384 108 
            LINE N 320 96 384 96 
            RECTANGLE N 212 80 320 112 
        END BLOCKDEF
        BEGIN BLOCKDEF buf
            TIMESTAMP 2001 2 2 12 51 12
            LINE N 0 -32 64 -32 
            LINE N 224 -32 128 -32 
            LINE N 64 0 128 -32 
            LINE N 128 -32 64 -64 
            LINE N 64 -64 64 0 
        END BLOCKDEF
        BEGIN BLOCKDEF and2
            TIMESTAMP 2001 2 2 12 53 52
            LINE N 0 -64 64 -64 
            LINE N 0 -128 64 -128 
            LINE N 256 -96 192 -96 
            ARC N 96 -144 192 -48 144 -48 144 -144 
            LINE N 144 -48 64 -48 
            LINE N 64 -144 144 -144 
            LINE N 64 -48 64 -144 
        END BLOCKDEF
        BEGIN BLOCK XLXI_1 bufe8
            PIN E XLXN_3
            PIN I(7:0) Zero(15:8)
            PIN O(7:0) Temp(7:0)
        END BLOCK
        BEGIN BLOCK XLXI_2 bufe8
            PIN E XLXN_3
            PIN I(7:0) Input(15:8)
            PIN O(7:0) Output(23:16)
        END BLOCK
        BEGIN BLOCK XLXI_3 bufe8
            PIN E XLXN_3
            PIN I(7:0) Input(7:0)
            PIN O(7:0) Output(15:8)
        END BLOCK
        BEGIN BLOCK XLXI_4 bufe8
            PIN E XLXN_3
            PIN I(7:0) Zero(7:0)
            PIN O(7:0) Output(7:0)
        END BLOCK
        BEGIN BLOCK XLXI_5 vcc
            PIN P XLXN_3
        END BLOCK
        BEGIN BLOCK XLXI_6 zero
            PIN zero(15:0) Zero(15:0)
        END BLOCK
        BEGIN BLOCK XLXI_9 buf
            PIN I Temp(5)
            PIN O Output(29)
        END BLOCK
        BEGIN BLOCK XLXI_10 buf
            PIN I Temp(4)
            PIN O Output(28)
        END BLOCK
        BEGIN BLOCK XLXI_11 buf
            PIN I Temp(3)
            PIN O Output(27)
        END BLOCK
        BEGIN BLOCK XLXI_12 buf
            PIN I Temp(2)
            PIN O Output(26)
        END BLOCK
        BEGIN BLOCK XLXI_13 buf
            PIN I Temp(1)
            PIN O Output(25)
        END BLOCK
        BEGIN BLOCK XLXI_14 buf
            PIN I Temp(0)
            PIN O Output(24)
        END BLOCK
        BEGIN BLOCK XLXI_15 and2
            PIN I0 Temp(6)
            PIN I1 Temp(7)
            PIN O Output(30)
        END BLOCK
    END NETLIST
    BEGIN SHEET 1 3520 2720
        BEGIN BRANCH Input(15:0)
            WIRE 432 832 624 832
        END BRANCH
        IOMARKER 432 832 Input(15:0) R180 28
        INSTANCE XLXI_1 1216 560 R0
        INSTANCE XLXI_2 1216 752 R0
        INSTANCE XLXI_3 1216 944 R0
        INSTANCE XLXI_4 1216 1120 R0
        BEGIN BRANCH XLXN_3
            WIRE 1200 304 1200 336
            WIRE 1200 336 1200 464
            WIRE 1200 464 1216 464
            WIRE 1200 464 1200 656
            WIRE 1200 656 1216 656
            WIRE 1200 656 1200 848
            WIRE 1200 848 1216 848
            WIRE 1200 848 1200 1024
            WIRE 1200 1024 1216 1024
        END BRANCH
        INSTANCE XLXI_5 1136 304 R0
        BEGIN BRANCH Zero(15:8)
            WIRE 1152 528 1216 528
            BEGIN DISPLAY 1152 528 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH Input(15:8)
            WIRE 1152 720 1216 720
            BEGIN DISPLAY 1152 720 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH Input(7:0)
            WIRE 1152 912 1216 912
            BEGIN DISPLAY 1152 912 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH Zero(7:0)
            WIRE 1152 1088 1216 1088
            BEGIN DISPLAY 1152 1088 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN INSTANCE XLXI_6 352 416 R0
        END INSTANCE
        BEGIN BRANCH Zero(15:0)
            WIRE 736 512 768 512
            BEGIN DISPLAY 768 512 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH Temp(7:0)
            WIRE 1440 528 1504 528
            BEGIN DISPLAY 1504 528 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH Output(23:16)
            WIRE 1440 720 1520 720
            BEGIN DISPLAY 1520 720 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH Output(15:8)
            WIRE 1440 912 1504 912
            BEGIN DISPLAY 1504 912 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH Output(7:0)
            WIRE 1440 1088 1504 1088
            BEGIN DISPLAY 1504 1088 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH Output(30:0)
            WIRE 1872 768 2000 768
            BEGIN DISPLAY 1872 768 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        IOMARKER 2000 768 Output(30:0) R0 28
        INSTANCE XLXI_9 1728 224 R0
        INSTANCE XLXI_10 1728 288 R0
        INSTANCE XLXI_11 1728 352 R0
        INSTANCE XLXI_12 1728 416 R0
        INSTANCE XLXI_13 1728 480 R0
        INSTANCE XLXI_14 1728 544 R0
        BEGIN BRANCH Temp(0)
            WIRE 1680 512 1728 512
            BEGIN DISPLAY 1680 512 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH Temp(1)
            WIRE 1696 448 1728 448
            BEGIN DISPLAY 1696 448 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH Temp(2)
            WIRE 1680 384 1728 384
            BEGIN DISPLAY 1680 384 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH Temp(3)
            WIRE 1696 320 1728 320
            BEGIN DISPLAY 1696 320 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH Temp(4)
            WIRE 1696 256 1728 256
            BEGIN DISPLAY 1696 256 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH Temp(5)
            WIRE 1696 192 1728 192
            BEGIN DISPLAY 1696 192 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH Temp(6)
            WIRE 1696 128 1728 128
            BEGIN DISPLAY 1696 128 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        INSTANCE XLXI_15 1728 192 R0
        BEGIN BRANCH Temp(7)
            WIRE 1696 64 1728 64
            BEGIN DISPLAY 1696 64 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH Output(30)
            WIRE 1984 96 2000 96
            BEGIN DISPLAY 2000 96 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH Output(29)
            WIRE 1952 192 1984 192
            BEGIN DISPLAY 1984 192 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH Output(28)
            WIRE 1952 256 1984 256
            BEGIN DISPLAY 1984 256 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH Output(27)
            WIRE 1952 320 2000 320
            BEGIN DISPLAY 2000 320 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH Output(26)
            WIRE 1952 384 2000 384
            BEGIN DISPLAY 2000 384 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH Output(25)
            WIRE 1952 448 2000 448
            BEGIN DISPLAY 2000 448 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH Output(24)
            WIRE 1952 512 1984 512
            BEGIN DISPLAY 1984 512 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
    END SHEET
END SCHEMATIC
