VERSION 6
BEGIN SCHEMATIC
    BEGIN ATTR DeviceFamilyName "spartan2e"
        DELETE all:0
        EDITNAME all:0
        EDITTRAIT all:0
    END ATTR
    BEGIN NETLIST
        SIGNAL ShiftAmount(3:0)
        SIGNAL Shift(22:7)
        SIGNAL Shift(21:6)
        SIGNAL Shift(20:5)
        SIGNAL Shift(19:4)
        SIGNAL Shift(18:3)
        SIGNAL Shift(17:2)
        SIGNAL Shift(16:1)
        SIGNAL Shift(15:0)
        SIGNAL Shift(30:15)
        SIGNAL Shift(29:14)
        SIGNAL Shift(28:13)
        SIGNAL Shift(27:12)
        SIGNAL Shift(26:11)
        SIGNAL Shift(25:10)
        SIGNAL Shift(24:9)
        SIGNAL Shift(23:8)
        SIGNAL Output(15:0)
        SIGNAL Input(15:0)
        SIGNAL Shift(30:0)
        PORT Input ShiftAmount(3:0)
        PORT Output Output(15:0)
        PORT Input Input(15:0)
        BEGIN BLOCKDEF mux16by16
            TIMESTAMP 2005 10 25 2 12 2
            RECTANGLE N 32 0 448 560 
            BEGIN LINE W 448 48 480 48 
            END LINE
            BEGIN LINE W 0 304 32 304 
            END LINE
            BEGIN LINE W 0 336 32 336 
            END LINE
            BEGIN LINE W 0 368 32 368 
            END LINE
            BEGIN LINE W 0 400 32 400 
            END LINE
            BEGIN LINE W 0 432 32 432 
            END LINE
            BEGIN LINE W 0 464 32 464 
            END LINE
            BEGIN LINE W 0 496 32 496 
            END LINE
            BEGIN LINE W 0 528 32 528 
            END LINE
            BEGIN LINE W 0 48 32 48 
            END LINE
            BEGIN LINE W 0 80 32 80 
            END LINE
            BEGIN LINE W 0 112 32 112 
            END LINE
            BEGIN LINE W 0 144 32 144 
            END LINE
            BEGIN LINE W 0 176 32 176 
            END LINE
            BEGIN LINE W 0 208 32 208 
            END LINE
            BEGIN LINE W 0 240 32 240 
            END LINE
            BEGIN LINE W 0 272 32 272 
            END LINE
            BEGIN LINE W 0 16 32 16 
            END LINE
        END BLOCKDEF
        BEGIN BLOCKDEF ShiftArea
            TIMESTAMP 2005 11 3 23 42 26
            RECTANGLE N 64 -64 320 0 
            RECTANGLE N 0 -44 64 -20 
            LINE N 64 -32 0 -32 
            RECTANGLE N 320 -44 384 -20 
            LINE N 320 -32 384 -32 
        END BLOCKDEF
        BEGIN BLOCK XLXI_1 mux16by16
            PIN O(15:0) Output(15:0)
            PIN MH(15:0) Shift(30:15)
            PIN MG(15:0) Shift(29:14)
            PIN MF(15:0) Shift(28:13)
            PIN ME(15:0) Shift(27:12)
            PIN MD(15:0) Shift(26:11)
            PIN MC(15:0) Shift(25:10)
            PIN MB(15:0) Shift(24:9)
            PIN MA(15:0) Shift(23:8)
            PIN MAH(15:0) Shift(22:7)
            PIN MAG(15:0) Shift(21:6)
            PIN MAF(15:0) Shift(20:5)
            PIN MAE(15:0) Shift(19:4)
            PIN MAD(15:0) Shift(18:3)
            PIN MAC(15:0) Shift(17:2)
            PIN MAB(15:0) Shift(16:1)
            PIN MAA(15:0) Shift(15:0)
            PIN S(3:0) ShiftAmount(3:0)
        END BLOCK
        BEGIN BLOCK XLXI_2 ShiftArea
            PIN Input(15:0) Input(15:0)
            PIN Output(30:0) Shift(30:0)
        END BLOCK
    END NETLIST
    BEGIN SHEET 1 3520 2720
        BEGIN INSTANCE XLXI_1 1392 608 R0
        END INSTANCE
        BEGIN BRANCH ShiftAmount(3:0)
            WIRE 1120 624 1392 624
        END BRANCH
        IOMARKER 1120 624 ShiftAmount(3:0) R180 28
        BEGIN BRANCH Shift(22:7)
            WIRE 1360 656 1392 656
            BEGIN DISPLAY 1360 656 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH Shift(21:6)
            WIRE 1360 688 1392 688
            BEGIN DISPLAY 1360 688 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH Shift(20:5)
            WIRE 1360 720 1392 720
            BEGIN DISPLAY 1360 720 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH Shift(19:4)
            WIRE 1360 752 1392 752
            BEGIN DISPLAY 1360 752 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH Shift(18:3)
            WIRE 1360 784 1392 784
            BEGIN DISPLAY 1360 784 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH Shift(17:2)
            WIRE 1360 816 1392 816
            BEGIN DISPLAY 1360 816 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH Shift(16:1)
            WIRE 1360 848 1392 848
            BEGIN DISPLAY 1360 848 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH Shift(15:0)
            WIRE 1360 880 1392 880
            BEGIN DISPLAY 1360 880 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH Shift(30:15)
            WIRE 1360 912 1392 912
            BEGIN DISPLAY 1360 912 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH Shift(29:14)
            WIRE 1360 944 1392 944
            BEGIN DISPLAY 1360 944 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH Shift(28:13)
            WIRE 1360 976 1392 976
            BEGIN DISPLAY 1360 976 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH Shift(27:12)
            WIRE 1360 1008 1392 1008
            BEGIN DISPLAY 1360 1008 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH Shift(26:11)
            WIRE 1360 1040 1392 1040
            BEGIN DISPLAY 1360 1040 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH Shift(25:10)
            WIRE 1360 1072 1392 1072
            BEGIN DISPLAY 1360 1072 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH Shift(24:9)
            WIRE 1360 1104 1392 1104
            BEGIN DISPLAY 1360 1104 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH Shift(23:8)
            WIRE 1360 1136 1392 1136
            BEGIN DISPLAY 1360 1136 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH Output(15:0)
            WIRE 1872 656 1936 656
            WIRE 1936 656 2064 656
        END BRANCH
        IOMARKER 2064 656 Output(15:0) R0 28
        BEGIN INSTANCE XLXI_2 416 896 R0
        END INSTANCE
        BEGIN BRANCH Input(15:0)
            WIRE 240 864 416 864
        END BRANCH
        IOMARKER 240 864 Input(15:0) R180 28
        BEGIN BRANCH Shift(30:0)
            WIRE 800 864 816 864
            BEGIN DISPLAY 816 864 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
    END SHEET
END SCHEMATIC
