library verilog;
use verilog.vl_types.all;
entity ByteRam is
    generic(
        RAM_A_UPPER     : integer := 175;
        RAM_B_UPPER     : integer := 1183;
        RAM_DEPTH       : integer := 240
    );
    port(
        WriteData       : in     vl_logic_vector(15 downto 0);
        MemData         : out    vl_logic_vector(15 downto 0);
        WriteAddress    : in     vl_logic_vector(15 downto 0);
        ReadAddress     : in     vl_logic_vector(15 downto 0);
        MemWrite        : in     vl_logic;
        Reset           : in     vl_logic;
        CLK             : in     vl_logic
    );
end ByteRam;
