library verilog;
use verilog.vl_types.all;
entity SPRegFile is
    generic(
        NUM_REGS        : integer := 32
    );
    port(
        ReadReg1        : in     vl_logic_vector(4 downto 0);
        WriteReg        : in     vl_logic_vector(4 downto 0);
        WriteData       : in     vl_logic_vector(15 downto 0);
        RegWrite        : in     vl_logic;
        ReadData1       : out    vl_logic_vector(15 downto 0);
        Switches        : in     vl_logic_vector(15 downto 0);
        Display0        : out    vl_logic_vector(15 downto 0);
        Display1        : out    vl_logic_vector(15 downto 0);
        Display2        : out    vl_logic_vector(15 downto 0);
        Display3        : out    vl_logic_vector(15 downto 0);
        Reset           : in     vl_logic;
        CLK             : in     vl_logic
    );
end SPRegFile;
