library verilog;
use verilog.vl_types.all;
entity control is
    port(
        AdderInputSrc   : out    vl_logic_vector(1 downto 0);
        ButtonIn        : in     vl_logic_vector(3 downto 0);
        Instruction     : in     vl_logic_vector(3 downto 0);
        InterruptFlag   : out    vl_logic_vector(15 downto 0);
        PCInputSelect   : out    vl_logic_vector(1 downto 0);
        RegWrDataSrc    : out    vl_logic_vector(2 downto 0);
        SPRegWrSrc      : out    vl_logic_vector(1 downto 0);
        CLK             : in     vl_logic;
        ComparatorResult: in     vl_logic;
        InstMod         : in     vl_logic;
        InterruptEnableI: in     vl_logic;
        RESET           : in     vl_logic;
        AWEn            : out    vl_logic;
        BWEn            : out    vl_logic;
        CWEn            : out    vl_logic;
        EPCWEn          : out    vl_logic;
        IEWEn           : out    vl_logic;
        IFWEn           : out    vl_logic;
        InterruptEnableO: out    vl_logic;
        IRWEn           : out    vl_logic;
        MemoryReadSrc   : out    vl_logic;
        MemWEn          : out    vl_logic;
        PCWEn           : out    vl_logic;
        RegisterReadMode: out    vl_logic;
        RegWEn          : out    vl_logic;
        SpRegWEn        : out    vl_logic;
        Subtract        : out    vl_logic
    );
end control;
