library verilog;
use verilog.vl_types.all;
entity shell_control is
    port(
        CLK             : in     vl_logic;
        Buttonin0       : in     vl_logic;
        Buttonin1       : in     vl_logic;
        Buttonin2       : in     vl_logic;
        Buttonin3       : in     vl_logic;
        ComparatorResult: in     vl_logic;
        InstMod         : in     vl_logic;
        Instruction0    : in     vl_logic;
        Instruction1    : in     vl_logic;
        Instruction2    : in     vl_logic;
        Instruction3    : in     vl_logic;
        InterruptEnableI: in     vl_logic;
        RESET           : in     vl_logic;
        AdderInputSrc0  : out    vl_logic;
        AdderInputSrc1  : out    vl_logic;
        AWEn            : out    vl_logic;
        BWEn            : out    vl_logic;
        CWEn            : out    vl_logic;
        EPCWEn          : out    vl_logic;
        IEWEn           : out    vl_logic;
        IFWEn           : out    vl_logic;
        InterruptEnableO: out    vl_logic;
        InterruptFlag0  : out    vl_logic;
        InterruptFlag1  : out    vl_logic;
        InterruptFlag2  : out    vl_logic;
        InterruptFlag3  : out    vl_logic;
        InterruptFlag4  : out    vl_logic;
        InterruptFlag5  : out    vl_logic;
        InterruptFlag6  : out    vl_logic;
        InterruptFlag7  : out    vl_logic;
        InterruptFlag8  : out    vl_logic;
        InterruptFlag9  : out    vl_logic;
        InterruptFlag10 : out    vl_logic;
        InterruptFlag11 : out    vl_logic;
        InterruptFlag12 : out    vl_logic;
        InterruptFlag13 : out    vl_logic;
        InterruptFlag14 : out    vl_logic;
        InterruptFlag15 : out    vl_logic;
        IRWEn           : out    vl_logic;
        MemoryReadSrc   : out    vl_logic;
        MemWEn          : out    vl_logic;
        PCInputSelect0  : out    vl_logic;
        PCInputSelect1  : out    vl_logic;
        PCWEn           : out    vl_logic;
        RegisterReadMode: out    vl_logic;
        RegWEn          : out    vl_logic;
        RegWrDataSrc0   : out    vl_logic;
        RegWrDataSrc1   : out    vl_logic;
        RegWrDataSrc2   : out    vl_logic;
        SpRegWEn        : out    vl_logic;
        SPRegWrSrc0     : out    vl_logic;
        SPRegWrSrc1     : out    vl_logic;
        Subtract        : out    vl_logic
    );
end shell_control;
